Server/srs15: Unterschied zwischen den Versionen

Aus Wiki StuRa HTW Dresden
Zur Navigation springen Zur Suche springen
 
(24 dazwischenliegende Versionen desselben Benutzers werden nicht angezeigt)
Zeile 5: Zeile 5:


== Verwendungszweck ==
== Verwendungszweck ==
* [[Aufgabenumsetzungssystem]]
* [[Aufgabenumsetzungssystem]]
** [[Server/Redmine]]
** [[Server/Redmine]]
*** http://projekt.htw.stura-dresden.de/


== Erstellung ==
== Erstellung ==
Zeile 39: Zeile 39:


== Installation ==
== Installation ==
 
: <code>pkg install -y redmine</code>
==== Vorbereitung der Installation ====
<pre></pre>
 
; pauschales Aktualisieren
: <code>pkg update; pkg upgrade -y</code>
; gewohnheitsmäßiges (Installieren von ''zsh'' und) Wechseln zu ''zsh''
: <code>pkg install -y zsh; zsh</code>
<!--
<pre>
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
The following 1 package(s) will be affected (of 0 checked):
 
New packages to be INSTALLED:
        zsh: 5.0.8_3
 
The process will require 14 MiB more space.
3 MiB to be downloaded.
[srs15] Fetching zsh-5.0.8_3.txz: 100%    3 MiB  3.8MB/s    00:01   
Checking integrity... done (0 conflicting)
[srs15] [1/1] Installing zsh-5.0.8_3...
[srs15] [1/1] Extracting zsh-5.0.8_3: 100%
</pre>
-->
; Setzen der Umgebungsvariablen für ''Locale'' auf deutsche Sprache und Zeichensatz
:: Es heißt immer, dass das für Ruby wichtig wäre.
: <code>export LANG=de_DE.UTF-8</code>
: <code>export LC_ALL=de_DE.UTF-8</code>
 
==== Durchführung der Installation ====
 
; Installation der benötigten Pakete
: <code>pkg install -y redmine mysql56-server rubygem-passenger ap24-mod_fastcgi</code>
<!--
<pre>
<pre>
Updating FreeBSD repository catalogue...
Message from ruby-2.2.4,1:
FreeBSD repository is up-to-date.
All repositories are up-to-date.
The following 172 package(s) will be affected (of 0 checked):
 
New packages to be INSTALLED:
        redmine: 2.6.3_3
        mysql56-server: 5.6.25
        rubygem-passenger: 5.0.14
        ap24-mod_fastcgi: 2.4.7_1
        rubygem-thin: 1.6.3_1
        rubygem-rack16: 1.6.4
        ruby: 2.1.6,1
        libyaml: 0.1.6_2
        libexecinfo: 1.1_3
        libedit: 3.1.20150325_1
        ruby21-gems: 2.4.8
        rubygem-eventmachine: 1.0.7
        rubygem-daemons: 1.2.3
        rubygem-rails: 3.2.22
        rubygem-uglifier: 2.7.1
        rubygem-json: 1.8.3
        rubygem-execjs: 2.5.2
        node: 0.12.7
        python2: 2_3
        rubygem-railties: 3.2.22
        rubygem-rack-ssl: 1.4.1_1,1
        rubygem-actionpack: 3.2.22
        rubygem-rack-test: 0.6.3_1
        rubygem-rack-cache: 1.2_1
        rubygem-rack: 1.4.7,3
        rubygem-journey: 1.0.4
        rubygem-erubis: 2.7.0_1
        rubygem-sprockets22: 2.2.3_1
        rubygem-tilt1: 1.4.1
        rubygem-multi_json: 1.11.2
        rubygem-json_pure: 1.8.2
        rubygem-hike: 1.2.3,1
        rubygem-builder: 3.0.4
        rubygem-activesupport: 3.2.22
        rubygem-i18n: 0.7.0,2
        rubygem-activemodel: 3.2.22
        rubygem-thor: 0.19.1
        rubygem-rdoc3: 3.12.2
        rubygem-rake: 10.4.2
        rubygem-jquery-rails: 3.1.3
        rubygem-activeresource: 3.2.22
        rubygem-sass-rails: 3.2.6_4
        rubygem-sass: 3.4.16
        rubygem-tilt: 2.0.1
        rubygem-bundler: 1.10.6
        rubygem-actionmailer: 3.2.22
        rubygem-mail25: 2.5.4_1,2
        rubygem-mime-types1: 1.25.1
        rubygem-treetop: 1.6.3
        rubygem-polyglot: 0.3.5
        rubygem-tzinfo03: 0.3.44
        rubygem-turn: 0.9.7
        rubygem-minitest: 5.7.0
        rubygem-ansi: 1.5.0
        rubygem-coffee-rails: 3.2.2_1
        rubygem-coffee-script: 2.4.1
        rubygem-coffee-script-source: 1.9.1.1
        rubygem-sqlite3: 1.3.10
        rubygem-activerecord: 3.2.22
        rubygem-arel3: 3.0.3,1
        rubygem-rack-openid: 1.4.2_2
        rubygem-ruby-openid: 2.7.0
        rubygem-redcarpet: 3.3.2
        rubygem-coderay: 1.1.0
        rubygem-rbpdf: 1.18.6
        rubygem-net-ldap: 0.11
        rubygem-rmagick: 2.15.3
        ImageMagick: 6.9.1.10,1
        libXext: 1.3.3_1,1
        xproto: 7.0.27
        xextproto: 7.3.0
        libXau: 1.0.8_3
        libX11: 1.6.2_3,1
        libxcb: 1.11_1
        libXdmcp: 1.1.2
        libxml2: 2.9.2_3
        libpthread-stubs: 0.3_6
        kbproto: 1.0.6
        libXt: 1.1.4_3,1
        libSM: 1.2.2_3,1
        libICE: 1.0.9_1,1
        fontconfig: 2.11.1,1
        freetype2: 2.6_1
        ghostscript9: 9.06_10
        libpaper: 1.1.24.4
        gsfonts: 8.11_6
        cups-image: 2.0.3_2
        libgcrypt: 1.6.3
        libgpg-error: 1.19_1
        gnutls: 3.3.16
        trousers-tddl: 0.3.10_7
        p11-kit: 0.23.1_1
        libtasn1: 4.5_1
        nettle: 2.7.1
        gmp: 5.1.3_2
        libidn: 1.31
        cups-client: 2.0.3_2
        mDNSResponder: 567
        glib: 2.42.2
        pcre: 8.37_2
        tiff: 4.0.4
        jpeg: 8_6
        jbigkit: 2.1_1
        png: 1.6.17_1
        svgalib: 1.4.3_7
        lcms2: 2.7
        jbig2dec: 0.11_4
        fftw3: 3.3.3_2
        webp: 0.4.3
        giflib: 5.0.6
        openjpeg: 2.1.0_1
        libwmf: 0.2.8.4_14
        librsvg2: 2.40.9
        pango: 1.36.8_1
        libXrender: 0.9.8_3
        renderproto: 0.11.1
        xorg-fonts-truetype: 7.7_1
        font-misc-meltho: 1.0.3_3
        mkfontscale: 1.1.2
        libfontenc: 1.1.2_3
        mkfontdir: 1.0.7
        font-misc-ethiopic: 1.0.3_3
        font-bh-ttf: 1.0.3_3
        encodings: 1.0.4_3,1
        font-util: 1.3.1
        dejavu: 2.35
        libXft: 2.3.2_1
        harfbuzz: 0.9.41
        graphite2: 1.2.4
        cairo: 1.12.18_1,2
        xcb-util-renderutil: 0.3.9_1
        xcb-util: 0.4.0_1,1
        pixman: 0.32.6_1
        icu: 55.1
        gtk2: 2.24.28
        libXrandr: 1.4.2_3
        randrproto: 1.4.1
        libXinerama: 1.1.3_3,1
        xineramaproto: 1.2.1
        libXi: 1.7.4_1,1
        libXfixes: 5.0.1_3
        fixesproto: 5.0
        inputproto: 2.3.1
        libXdamage: 1.1.4_3
        damageproto: 1.2.1
        libXcursor: 1.1.14_3
        libXcomposite: 0.4.4_3,1
        compositeproto: 0.4.2
        shared-mime-info: 1.4
        hicolor-icon-theme: 0.15
        python: 2.7_2,2
        gtk-update-icon-cache: 2.24.28
        gdk-pixbuf2: 2.31.2_2
        jasper: 1.900.1_14
        atk: 2.14.0
        gtk-engines2: 2.20.2_2
        libcroco: 0.6.8_2
        libgsf: 1.14.33
        liblqr-1: 0.4.1_8
        libfpx: 1.3.1.4
        pkgconf: 0.9.12
        libltdl: 2.4.6
        rubygem-rubytree: 0.9.6
        rubygem-structured_warnings: 0.2.0
        rubygem-request_store: 1.2.0
        rubygem-fastercsv: 1.5.5
        rubygem-mysql2: 0.3.19
        mysql56-client: 5.6.25_2
        apache24: 2.4.16
        rubygem-fastthread: 1.0.7
        rubygem-daemon_controller: 1.2.0
        libuv: 1.6.1
 
The process will require 821 MiB more space.
159 MiB to be downloaded.
[srs15] Fetching redmine-2.6.3_3.txz: 100%    1 MiB  1.5MB/s    00:01   
[srs15] Fetching mysql56-server-5.6.25.txz: 100%    8 MiB  4.4MB/s    00:02   
[srs15] Fetching rubygem-passenger-5.0.14.txz: 100%  17 MiB  6.0MB/s    00:03   
[srs15] Fetching ap24-mod_fastcgi-2.4.7_1.txz: 100%  43 KiB  44.5kB/s    00:01   
[srs15] Fetching rubygem-thin-1.6.3_1.txz: 100%  377 KiB 387.0kB/s    00:01   
[srs15] Fetching rubygem-rack16-1.6.4.txz: 100%  769 KiB 787.9kB/s    00:01   
[srs15] Fetching ruby-2.1.6,1.txz: 100%    7 MiB  2.8MB/s    00:03   
[srs15] Fetching libyaml-0.1.6_2.txz: 100%  69 KiB  70.8kB/s    00:01   
[srs15] Fetching libexecinfo-1.1_3.txz: 100%    8 KiB  8.6kB/s    00:01   
[srs15] Fetching libedit-3.1.20150325_1.txz: 100%  126 KiB 129.3kB/s    00:01   
[srs15] Fetching ruby21-gems-2.4.8.txz: 100%  342 KiB 350.2kB/s    00:01   
[srs15] Fetching rubygem-eventmachine-1.0.7.txz: 100%  881 KiB 903.0kB/s    00:01   
[srs15] Fetching rubygem-daemons-1.2.3.txz: 100%  265 KiB 272.3kB/s    00:01   
[srs15] Fetching rubygem-rails-3.2.22.txz: 100%    3 KiB  3.6kB/s    00:01   
[srs15] Fetching rubygem-uglifier-2.7.1.txz: 100%  343 KiB 351.2kB/s    00:01   
[srs15] Fetching rubygem-json-1.8.3.txz: 100%  519 KiB 531.7kB/s    00:01   
[srs15] Fetching rubygem-execjs-2.5.2.txz: 100%  240 KiB 246.3kB/s    00:01   
[srs15] Fetching node-0.12.7.txz: 100%    3 MiB  3.6MB/s    00:01   
[srs15] Fetching python2-2_3.txz: 100%    1 KiB  1.1kB/s    00:01   
[srs15] Fetching rubygem-railties-3.2.22.txz: 100%    2 MiB  3.0MB/s    00:01   
[srs15] Fetching rubygem-rack-ssl-1.4.1_1,1.txz: 100%  199 KiB 204.0kB/s    00:01   
[srs15] Fetching rubygem-actionpack-3.2.22.txz: 100%    1 MiB  1.2MB/s    00:01   
[srs15] Fetching rubygem-rack-test-0.6.3_1.txz: 100%  243 KiB 249.5kB/s    00:01   
[srs15] Fetching rubygem-rack-cache-1.2_1.txz: 100%  663 KiB 679.3kB/s    00:01   
[srs15] Fetching rubygem-rack-1.4.7,3.txz: 100%  700 KiB 716.9kB/s    00:01   
[srs15] Fetching rubygem-journey-1.0.4.txz: 100%  291 KiB 298.8kB/s    00:01   
[srs15] Fetching rubygem-erubis-2.7.0_1.txz: 100%  547 KiB 560.2kB/s    00:01   
[srs15] Fetching rubygem-sprockets22-2.2.3_1.txz: 100%  325 KiB 332.9kB/s    00:01   
[srs15] Fetching rubygem-tilt1-1.4.1.txz: 100%  306 KiB 313.6kB/s    00:01   
[srs15] Fetching rubygem-multi_json-1.11.2.txz: 100%  251 KiB 257.4kB/s    00:01   
[srs15] Fetching rubygem-json_pure-1.8.2.txz: 100%  487 KiB 498.7kB/s    00:01   
[srs15] Fetching rubygem-hike-1.2.3,1.txz: 100%  217 KiB 222.6kB/s    00:01   
[srs15] Fetching rubygem-builder-3.0.4.txz: 100%  261 KiB 267.8kB/s    00:01   
[srs15] Fetching rubygem-activesupport-3.2.22.txz: 100%  904 KiB 925.8kB/s    00:01   
[srs15] Fetching rubygem-i18n-0.7.0,2.txz: 100%  361 KiB 369.9kB/s    00:01   
[srs15] Fetching rubygem-activemodel-3.2.22.txz: 100%  347 KiB 355.3kB/s    00:01   
[srs15] Fetching rubygem-thor-0.19.1.txz: 100%  418 KiB 428.8kB/s    00:01   
[srs15] Fetching rubygem-rdoc3-3.12.2.txz: 100%    1 MiB  1.1MB/s    00:01   
[srs15] Fetching rubygem-rake-10.4.2.txz: 100%  523 KiB 535.6kB/s    00:01   
[srs15] Fetching rubygem-jquery-rails-3.1.3.txz: 100%  399 KiB 409.1kB/s    00:01   
[srs15] Fetching rubygem-activeresource-3.2.22.txz: 100%  313 KiB 320.5kB/s    00:01   
[srs15] Fetching rubygem-sass-rails-3.2.6_4.txz: 100%  207 KiB 212.8kB/s    00:01   
[srs15] Fetching rubygem-sass-3.4.16.txz: 100%    1 MiB  1.2MB/s    00:01   
[srs15] Fetching rubygem-tilt-2.0.1.txz: 100%  312 KiB 319.6kB/s    00:01   
[srs15] Fetching rubygem-bundler-1.10.6.txz: 100%    1 MiB  1.0MB/s    00:01   
[srs15] Fetching rubygem-actionmailer-3.2.22.txz: 100%  249 KiB 255.1kB/s    00:01   
[srs15] Fetching rubygem-mail25-2.5.4_1,2.txz: 100%  867 KiB 888.5kB/s    00:01   
[srs15] Fetching rubygem-mime-types1-1.25.1.txz: 100%  356 KiB 364.8kB/s    00:01   
[srs15] Fetching rubygem-treetop-1.6.3.txz: 100%  438 KiB 448.8kB/s    00:01   
[srs15] Fetching rubygem-polyglot-0.3.5.txz: 100%  204 KiB 209.8kB/s    00:01   
[srs15] Fetching rubygem-tzinfo03-0.3.44.txz: 100%  639 KiB 654.9kB/s    00:01   
[srs15] Fetching rubygem-turn-0.9.7.txz: 100%  307 KiB 314.5kB/s    00:01   
[srs15] Fetching rubygem-minitest-5.7.0.txz: 100%  378 KiB 387.1kB/s    00:01   
[srs15] Fetching rubygem-ansi-1.5.0.txz: 100%  326 KiB 334.1kB/s    00:01   
[srs15] Fetching rubygem-coffee-rails-3.2.2_1.txz: 100%  71 KiB  73.4kB/s    00:01   
[srs15] Fetching rubygem-coffee-script-2.4.1.txz: 100%  200 KiB 205.0kB/s    00:01   
[srs15] Fetching rubygem-coffee-script-source-1.9.1.1.txz: 100%  366 KiB 375.2kB/s    00:01   
[srs15] Fetching rubygem-sqlite3-1.3.10.txz: 100%  376 KiB 385.6kB/s    00:01   
[srs15] Fetching rubygem-activerecord-3.2.22.txz: 100%    1 MiB  1.1MB/s    00:01   
[srs15] Fetching rubygem-arel3-3.0.3,1.txz: 100%  384 KiB 394.0kB/s    00:01   
[srs15] Fetching rubygem-rack-openid-1.4.2_2.txz: 100%  211 KiB 217.0kB/s    00:01   
[srs15] Fetching rubygem-ruby-openid-2.7.0.txz: 100%  978 KiB  1.0MB/s    00:01   
[srs15] Fetching rubygem-redcarpet-3.3.2.txz: 100%  356 KiB 364.6kB/s    00:01   
[srs15] Fetching rubygem-coderay-1.1.0.txz: 100%  459 KiB 470.5kB/s    00:01   
[srs15] Fetching rubygem-rbpdf-1.18.6.txz: 100%  10 MiB  5.6MB/s    00:02   
[srs15] Fetching rubygem-net-ldap-0.11.txz: 100%  420 KiB 431.0kB/s    00:01   
[srs15] Fetching rubygem-rmagick-2.15.3.txz: 100%    3 MiB  3.2MB/s    00:01   
[srs15] Fetching ImageMagick-6.9.1.10,1.txz: 100%    7 MiB  3.7MB/s    00:02   
[srs15] Fetching libXext-1.3.3_1,1.txz: 100%  89 KiB  91.1kB/s    00:01   
[srs15] Fetching xproto-7.0.27.txz: 100%  58 KiB  59.7kB/s    00:01   
[srs15] Fetching xextproto-7.3.0.txz: 100%  21 KiB  22.0kB/s    00:01   
[srs15] Fetching libXau-1.0.8_3.txz: 100%  11 KiB  11.7kB/s    00:01   
[srs15] Fetching libX11-1.6.2_3,1.txz: 100%    1 MiB  1.7MB/s    00:01   
[srs15] Fetching libxcb-1.11_1.txz: 100%  971 KiB 995.2kB/s    00:01   
[srs15] Fetching libXdmcp-1.1.2.txz: 100%  13 KiB  13.8kB/s    00:01   
[srs15] Fetching libxml2-2.9.2_3.txz: 100%  758 KiB 776.6kB/s    00:01   
[srs15] Fetching libpthread-stubs-0.3_6.txz: 100%    2 KiB  2.8kB/s    00:01   
[srs15] Fetching kbproto-1.0.6.txz: 100%  121 KiB 124.6kB/s    00:01   
[srs15] Fetching libXt-1.1.4_3,1.txz: 100%  460 KiB 471.5kB/s    00:01   
[srs15] Fetching libSM-1.2.2_3,1.txz: 100%  22 KiB  23.1kB/s    00:01   
[srs15] Fetching libICE-1.0.9_1,1.txz: 100%  92 KiB  94.9kB/s    00:01   
[srs15] Fetching fontconfig-2.11.1,1.txz: 100%  281 KiB 288.4kB/s    00:01   
[srs15] Fetching freetype2-2.6_1.txz: 100%  460 KiB 471.7kB/s    00:01   
[srs15] Fetching ghostscript9-9.06_10.txz: 100%  10 MiB  3.8MB/s    00:03   
[srs15] Fetching libpaper-1.1.24.4.txz: 100%  23 KiB  24.4kB/s    00:01   
[srs15] Fetching gsfonts-8.11_6.txz: 100%    4 MiB  2.1MB/s    00:02   
[srs15] Fetching cups-image-2.0.3_2.txz: 100%  63 KiB  65.1kB/s    00:01   
[srs15] Fetching libgcrypt-1.6.3.txz: 100%  418 KiB 428.1kB/s    00:01   
[srs15] Fetching libgpg-error-1.19_1.txz: 100%  134 KiB 137.3kB/s    00:01   
[srs15] Fetching gnutls-3.3.16.txz: 100%    1 MiB  2.0MB/s    00:01   
[srs15] Fetching trousers-tddl-0.3.10_7.txz: 100%  467 KiB 478.4kB/s    00:01   
[srs15] Fetching p11-kit-0.23.1_1.txz: 100%  225 KiB 230.6kB/s    00:01   
[srs15] Fetching libtasn1-4.5_1.txz: 100%  588 KiB 603.0kB/s    00:01   
[srs15] Fetching nettle-2.7.1.txz: 100%  954 KiB 977.3kB/s    00:01   
[srs15] Fetching gmp-5.1.3_2.txz: 100%  447 KiB 458.4kB/s    00:01   
[srs15] Fetching libidn-1.31.txz: 100%  200 KiB 205.2kB/s    00:01   
[srs15] Fetching cups-client-2.0.3_2.txz: 100%  618 KiB 633.3kB/s    00:01   
[srs15] Fetching mDNSResponder-567.txz: 100%  348 KiB 356.4kB/s    00:01   
[srs15] Fetching glib-2.42.2.txz: 100%    2 MiB  2.8MB/s    00:01   
[srs15] Fetching pcre-8.37_2.txz: 100%    1 MiB  1.1MB/s    00:01   
[srs15] Fetching tiff-4.0.4.txz: 100%  799 KiB 819.0kB/s    00:01   
[srs15] Fetching jpeg-8_6.txz: 100%  283 KiB 290.1kB/s    00:01   
[srs15] Fetching jbigkit-2.1_1.txz: 100%  67 KiB  69.5kB/s    00:01   
[srs15] Fetching png-1.6.17_1.txz: 100%  264 KiB 270.3kB/s    00:01   
[srs15] Fetching svgalib-1.4.3_7.txz: 100%  529 KiB 541.7kB/s    00:01   
[srs15] Fetching lcms2-2.7.txz: 100%    2 MiB  2.4MB/s    00:01   
[srs15] Fetching jbig2dec-0.11_4.txz: 100%  63 KiB  65.3kB/s    00:01   
[srs15] Fetching fftw3-3.3.3_2.txz: 100%  722 KiB 739.7kB/s    00:01   
[srs15] Fetching webp-0.4.3.txz: 100%  295 KiB 302.4kB/s    00:01   
[srs15] Fetching giflib-5.0.6.txz: 100%  74 KiB  76.4kB/s    00:01   
[srs15] Fetching openjpeg-2.1.0_1.txz: 100%  152 KiB 155.7kB/s    00:01   
[srs15] Fetching libwmf-0.2.8.4_14.txz: 100%  992 KiB  1.0MB/s    00:01   
[srs15] Fetching librsvg2-2.40.9.txz: 100%  155 KiB 159.0kB/s    00:01   
[srs15] Fetching pango-1.36.8_1.txz: 100%  421 KiB 431.7kB/s    00:01   
[srs15] Fetching libXrender-0.9.8_3.txz: 100%  26 KiB  27.5kB/s    00:01   
[srs15] Fetching renderproto-0.11.1.txz: 100%  15 KiB  15.4kB/s    00:01   
[srs15] Fetching xorg-fonts-truetype-7.7_1.txz: 100%    540 B  0.5kB/s    00:01   
[srs15] Fetching font-misc-meltho-1.0.3_3.txz: 100%  718 KiB 735.3kB/s    00:01   
[srs15] Fetching mkfontscale-1.1.2.txz: 100%  15 KiB  15.7kB/s    00:01   
[srs15] Fetching libfontenc-1.1.2_3.txz: 100%  17 KiB  18.2kB/s    00:01   
[srs15] Fetching mkfontdir-1.0.7.txz: 100%    3 KiB  3.5kB/s    00:01   
[srs15] Fetching font-misc-ethiopic-1.0.3_3.txz: 100%  126 KiB 129.3kB/s    00:01   
[srs15] Fetching font-bh-ttf-1.0.3_3.txz: 100%  268 KiB 274.9kB/s    00:01   
[srs15] Fetching encodings-1.0.4_3,1.txz: 100%  557 KiB 571.0kB/s    00:01   
[srs15] Fetching font-util-1.3.1.txz: 100%  26 KiB  26.6kB/s    00:01   
[srs15] Fetching dejavu-2.35.txz: 100%    2 MiB  2.3MB/s    00:01   
[srs15] Fetching libXft-2.3.2_1.txz: 100%  55 KiB  56.7kB/s    00:01   
[srs15] Fetching harfbuzz-0.9.41.txz: 100%  233 KiB 238.7kB/s    00:01   
[srs15] Fetching graphite2-1.2.4.txz: 100%  82 KiB  84.6kB/s    00:01   
[srs15] Fetching cairo-1.12.18_1,2.txz: 100%  783 KiB 802.0kB/s    00:01   
[srs15] Fetching xcb-util-renderutil-0.3.9_1.txz: 100%    8 KiB  8.7kB/s    00:01   
[srs15] Fetching xcb-util-0.4.0_1,1.txz: 100%  12 KiB  12.5kB/s    00:01   
[srs15] Fetching pixman-0.32.6_1.txz: 100%  233 KiB 238.7kB/s    00:01   
[srs15] Fetching icu-55.1.txz: 100%  14 MiB  7.6MB/s    00:02   
[srs15] Fetching gtk2-2.24.28.txz: 100%    5 MiB  5.3MB/s    00:01   
[srs15] Fetching libXrandr-1.4.2_3.txz: 100%  27 KiB  28.4kB/s    00:01   
[srs15] Fetching randrproto-1.4.1.txz: 100%  25 KiB  26.4kB/s    00:01   
[srs15] Fetching libXinerama-1.1.3_3,1.txz: 100%    9 KiB  9.5kB/s    00:01   
[srs15] Fetching xineramaproto-1.2.1.txz: 100%    2 KiB  2.3kB/s    00:01   
[srs15] Fetching libXi-1.7.4_1,1.txz: 100%  118 KiB 121.1kB/s    00:01   
[srs15] Fetching libXfixes-5.0.1_3.txz: 100%  14 KiB  14.4kB/s    00:01   
[srs15] Fetching fixesproto-5.0.txz: 100%  10 KiB  10.2kB/s    00:01   
[srs15] Fetching inputproto-2.3.1.txz: 100%  14 KiB  14.8kB/s    00:01   
[srs15] Fetching libXdamage-1.1.4_3.txz: 100%    6 KiB  6.6kB/s    00:01   
[srs15] Fetching damageproto-1.2.1.txz: 100%    5 KiB  5.2kB/s    00:01   
[srs15] Fetching libXcursor-1.1.14_3.txz: 100%  34 KiB  35.3kB/s    00:01   
[srs15] Fetching libXcomposite-0.4.4_3,1.txz: 100%  10 KiB  10.9kB/s    00:01   
[srs15] Fetching compositeproto-0.4.2.txz: 100%    6 KiB  7.1kB/s    00:01   
[srs15] Fetching shared-mime-info-1.4.txz: 100%  419 KiB 429.8kB/s    00:01   
[srs15] Fetching hicolor-icon-theme-0.15.txz: 100%    5 KiB  5.4kB/s    00:01   
[srs15] Fetching python-2.7_2,2.txz: 100%    1 KiB  1.0kB/s    00:01   
[srs15] Fetching gtk-update-icon-cache-2.24.28.txz: 100%  19 KiB  20.4kB/s    00:01   
[srs15] Fetching gdk-pixbuf2-2.31.2_2.txz: 100%  462 KiB 473.8kB/s    00:01   
[srs15] Fetching jasper-1.900.1_14.txz: 100%  535 KiB 547.9kB/s    00:01   
[srs15] Fetching atk-2.14.0.txz: 100%  250 KiB 256.7kB/s    00:01   
[srs15] Fetching gtk-engines2-2.20.2_2.txz: 100%  217 KiB 223.1kB/s    00:01   
[srs15] Fetching libcroco-0.6.8_2.txz: 100%  201 KiB 206.4kB/s    00:01   
[srs15] Fetching libgsf-1.14.33.txz: 100%  343 KiB 351.8kB/s    00:01   
[srs15] Fetching liblqr-1-0.4.1_8.txz: 100%  42 KiB  43.4kB/s    00:01   
[srs15] Fetching libfpx-1.3.1.4.txz: 100%  345 KiB 353.2kB/s    00:01   
[srs15] Fetching pkgconf-0.9.12.txz: 100%  23 KiB  23.7kB/s    00:01   
[srs15] Fetching libltdl-2.4.6.txz: 100%  37 KiB  37.9kB/s    00:01   
[srs15] Fetching rubygem-rubytree-0.9.6.txz: 100%  429 KiB 440.1kB/s    00:01   
[srs15] Fetching rubygem-structured_warnings-0.2.0.txz: 100%  528 KiB 541.5kB/s    00:01   
[srs15] Fetching rubygem-request_store-1.2.0.txz: 100%  204 KiB 209.7kB/s    00:01   
[srs15] Fetching rubygem-fastercsv-1.5.5.txz: 100%  439 KiB 450.3kB/s    00:01   
[srs15] Fetching rubygem-mysql2-0.3.19.txz: 100%  320 KiB 328.6kB/s    00:01   
[srs15] Fetching mysql56-client-5.6.25_2.txz: 100%    1 MiB  2.0MB/s    00:01   
[srs15] Fetching apache24-2.4.16.txz: 100%    3 MiB  3.9MB/s    00:01   
[srs15] Fetching rubygem-fastthread-1.0.7.txz: 100%  247 KiB 253.3kB/s    00:01   
[srs15] Fetching rubygem-daemon_controller-1.2.0.txz: 100%  265 KiB 272.3kB/s    00:01   
[srs15] Fetching libuv-1.6.1.txz: 100%  86 KiB  88.3kB/s    00:01   
Checking integrity... done (0 conflicting)
[srs15] [1/172] Installing xproto-7.0.27...
[srs15] [1/172] Extracting xproto-7.0.27: 100%
[srs15] [2/172] Installing libXau-1.0.8_3...
[srs15] [2/172] Extracting libXau-1.0.8_3: 100%
[srs15] [3/172] Installing libXdmcp-1.1.2...
[srs15] [3/172] Extracting libXdmcp-1.1.2: 100%
[srs15] [4/172] Installing libxml2-2.9.2_3...
[srs15] [4/172] Extracting libxml2-2.9.2_3: 100%
[srs15] [5/172] Installing libpthread-stubs-0.3_6...
[srs15] [5/172] Extracting libpthread-stubs-0.3_6: 100%
[srs15] [6/172] Installing libxcb-1.11_1...
[srs15] [6/172] Extracting libxcb-1.11_1: 100%
[srs15] [7/172] Installing kbproto-1.0.6...
[srs15] [7/172] Extracting kbproto-1.0.6: 100%
[srs15] [8/172] Installing freetype2-2.6_1...
[srs15] [8/172] Extracting freetype2-2.6_1: 100%
[srs15] [9/172] Installing libfontenc-1.1.2_3...
[srs15] [9/172] Extracting libfontenc-1.1.2_3: 100%
[srs15] [10/172] Installing libyaml-0.1.6_2...
[srs15] [10/172] Extracting libyaml-0.1.6_2: 100%
[srs15] [11/172] Installing libexecinfo-1.1_3...
[srs15] [11/172] Extracting libexecinfo-1.1_3: 100%
[srs15] [12/172] Installing libedit-3.1.20150325_1...
[srs15] [12/172] Extracting libedit-3.1.20150325_1: 100%
[srs15] [13/172] Installing xextproto-7.3.0...
[srs15] [13/172] Extracting xextproto-7.3.0: 100%
[srs15] [14/172] Installing libX11-1.6.2_3,1...
[srs15] [14/172] Extracting libX11-1.6.2_3,1: 100%
[srs15] [15/172] Installing pcre-8.37_2...
[srs15] [15/172] Extracting pcre-8.37_2: 100%
[srs15] [16/172] Installing renderproto-0.11.1...
[srs15] [16/172] Extracting renderproto-0.11.1: 100%
[srs15] [17/172] Installing mkfontscale-1.1.2...
[srs15] [17/172] Extracting mkfontscale-1.1.2: 100%
[srs15] [18/172] Installing xcb-util-0.4.0_1,1...
[srs15] [18/172] Extracting xcb-util-0.4.0_1,1: 100%
[srs15] [19/172] Installing ruby-2.1.6,1...
[srs15] [19/172] Extracting ruby-2.1.6,1: 100%
[srs15] [20/172] Installing libXext-1.3.3_1,1...
[srs15] [20/172] Extracting libXext-1.3.3_1,1: 100%
[srs15] [21/172] Installing libICE-1.0.9_1,1...
[srs15] [21/172] Extracting libICE-1.0.9_1,1: 100%
[srs15] [22/172] Installing fontconfig-2.11.1,1...
[srs15] [22/172] Extracting fontconfig-2.11.1,1: 100%
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: skipping, no such directory
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
[srs15] [23/172] Installing glib-2.42.2...
[srs15] [23/172] Extracting glib-2.42.2: 100%
Keine Schema-Dateien gefunden:Nichts wird getan.
[srs15] [24/172] Installing png-1.6.17_1...
[srs15] [24/172] Extracting png-1.6.17_1: 100%
[srs15] [25/172] Installing libXrender-0.9.8_3...
[srs15] [25/172] Extracting libXrender-0.9.8_3: 100%
[srs15] [26/172] Installing mkfontdir-1.0.7...
[srs15] [26/172] Extracting mkfontdir-1.0.7: 100%
[srs15] [27/172] Installing font-util-1.3.1...
[srs15] [27/172] Extracting font-util-1.3.1: 100%
[srs15] [28/172] Installing xcb-util-renderutil-0.3.9_1...
[srs15] [28/172] Extracting xcb-util-renderutil-0.3.9_1: 100%
[srs15] [29/172] Installing pixman-0.32.6_1...
[srs15] [29/172] Extracting pixman-0.32.6_1: 100%
[srs15] [30/172] Installing fixesproto-5.0...
[srs15] [30/172] Extracting fixesproto-5.0: 100%
[srs15] [31/172] Installing ruby21-gems-2.4.8...
[srs15] [31/172] Extracting ruby21-gems-2.4.8: 100%
[srs15] [32/172] Installing libSM-1.2.2_3,1...
[srs15] [32/172] Extracting libSM-1.2.2_3,1: 100%
[srs15] [33/172] Installing libtasn1-4.5_1...
[srs15] [33/172] Extracting libtasn1-4.5_1: 100%
[srs15] [34/172] Installing gmp-5.1.3_2...
[srs15] [34/172] Extracting gmp-5.1.3_2: 100%
[srs15] [35/172] Installing jpeg-8_6...
[srs15] [35/172] Extracting jpeg-8_6: 100%
[srs15] [36/172] Installing jbigkit-2.1_1...
[srs15] [36/172] Extracting jbigkit-2.1_1: 100%
[srs15] [37/172] Installing font-misc-meltho-1.0.3_3...
[srs15] [37/172] Extracting font-misc-meltho-1.0.3_3: 100%
[srs15] [38/172] Installing font-misc-ethiopic-1.0.3_3...
[srs15] [38/172] Extracting font-misc-ethiopic-1.0.3_3: 100%
[srs15] [39/172] Installing font-bh-ttf-1.0.3_3...
[srs15] [39/172] Extracting font-bh-ttf-1.0.3_3: 100%
[srs15] [40/172] Installing encodings-1.0.4_3,1...
[srs15] [40/172] Extracting encodings-1.0.4_3,1: 100%
[srs15] [41/172] Installing dejavu-2.35...
[srs15] [41/172] Extracting dejavu-2.35: 100%
[srs15] [42/172] Installing graphite2-1.2.4...
[srs15] [42/172] Extracting graphite2-1.2.4: 100%
[srs15] [43/172] Installing cairo-1.12.18_1,2...
[srs15] [43/172] Extracting cairo-1.12.18_1,2: 100%
[srs15] [44/172] Installing icu-55.1...
[srs15] [44/172] Extracting icu-55.1: 100%
[srs15] [45/172] Installing libXfixes-5.0.1_3...
[srs15] [45/172] Extracting libXfixes-5.0.1_3: 100%
[srs15] [46/172] Installing inputproto-2.3.1...
[srs15] [46/172] Extracting inputproto-2.3.1: 100%
[srs15] [47/172] Installing rubygem-json_pure-1.8.2...
[srs15] [47/172] Extracting rubygem-json_pure-1.8.2: 100%
[srs15] [48/172] Installing libXt-1.1.4_3,1...
[srs15] [48/172] Extracting libXt-1.1.4_3,1: 100%
[srs15] [49/172] Installing libgpg-error-1.19_1...
[srs15] [49/172] Extracting libgpg-error-1.19_1: 100%
[srs15] [50/172] Installing trousers-tddl-0.3.10_7...
===> Creating users and/or groups.
Creating group '_tss' with gid '601'.
Creating user '_tss' with uid '601'.
[srs15] [50/172] Extracting trousers-tddl-0.3.10_7: 100%
[srs15] [51/172] Installing p11-kit-0.23.1_1...
[srs15] [51/172] Extracting p11-kit-0.23.1_1: 100%
[srs15] [52/172] Installing nettle-2.7.1...
[srs15] [52/172] Extracting nettle-2.7.1: 100%
[srs15] [53/172] Installing libidn-1.31...
[srs15] [53/172] Extracting libidn-1.31: 100%
[srs15] [54/172] Installing tiff-4.0.4...
[srs15] [54/172] Extracting tiff-4.0.4: 100%
[srs15] [55/172] Installing xorg-fonts-truetype-7.7_1...
[srs15] [56/172] Installing libXft-2.3.2_1...
[srs15] [56/172] Extracting libXft-2.3.2_1: 100%
[srs15] [57/172] Installing harfbuzz-0.9.41...
[srs15] [57/172] Extracting harfbuzz-0.9.41: 100%
[srs15] [58/172] Installing randrproto-1.4.1...
[srs15] [58/172] Extracting randrproto-1.4.1: 100%
[srs15] [59/172] Installing xineramaproto-1.2.1...
[srs15] [59/172] Extracting xineramaproto-1.2.1: 100%
[srs15] [60/172] Installing libXi-1.7.4_1,1...
[srs15] [60/172] Extracting libXi-1.7.4_1,1: 100%
[srs15] [61/172] Installing damageproto-1.2.1...
[srs15] [61/172] Extracting damageproto-1.2.1: 100%
[srs15] [62/172] Installing compositeproto-0.4.2...
[srs15] [62/172] Extracting compositeproto-0.4.2: 100%
[srs15] [63/172] Installing jasper-1.900.1_14...
[srs15] [63/172] Extracting jasper-1.900.1_14: 100%
[srs15] [64/172] Installing python2-2_3...
[srs15] [64/172] Extracting python2-2_3: 100%
[srs15] [65/172] Installing rubygem-multi_json-1.11.2...
[srs15] [65/172] Extracting rubygem-multi_json-1.11.2: 100%
[srs15] [66/172] Installing rubygem-i18n-0.7.0,2...
[srs15] [66/172] Extracting rubygem-i18n-0.7.0,2: 100%
[srs15] [67/172] Installing libgcrypt-1.6.3...
[srs15] [67/172] Extracting libgcrypt-1.6.3: 100%
[srs15] [68/172] Installing gnutls-3.3.16...
[srs15] [68/172] Extracting gnutls-3.3.16: 100%
[srs15] [69/172] Installing mDNSResponder-567...
[srs15] [69/172] Extracting mDNSResponder-567: 100%
[srs15] [70/172] Installing pango-1.36.8_1...
[srs15] [70/172] Extracting pango-1.36.8_1: 100%
[srs15] [71/172] Installing libXrandr-1.4.2_3...
[srs15] [71/172] Extracting libXrandr-1.4.2_3: 100%
[srs15] [72/172] Installing libXinerama-1.1.3_3,1...
[srs15] [72/172] Extracting libXinerama-1.1.3_3,1: 100%
[srs15] [73/172] Installing libXdamage-1.1.4_3...
[srs15] [73/172] Extracting libXdamage-1.1.4_3: 100%
[srs15] [74/172] Installing libXcursor-1.1.14_3...
[srs15] [74/172] Extracting libXcursor-1.1.14_3: 100%
[srs15] [75/172] Installing libXcomposite-0.4.4_3,1...
[srs15] [75/172] Extracting libXcomposite-0.4.4_3,1: 100%
[srs15] [76/172] Installing shared-mime-info-1.4...
[srs15] [76/172] Extracting shared-mime-info-1.4: 100%
[srs15] [77/172] Installing hicolor-icon-theme-0.15...
[srs15] [77/172] Extracting hicolor-icon-theme-0.15: 100%
[srs15] [78/172] Installing gdk-pixbuf2-2.31.2_2...
[srs15] [78/172] Extracting gdk-pixbuf2-2.31.2_2: 100%
[srs15] [79/172] Installing atk-2.14.0...
[srs15] [79/172] Extracting atk-2.14.0: 100%
[srs15] [80/172] Installing rubygem-rack16-1.6.4...
[srs15] [80/172] Extracting rubygem-rack16-1.6.4: 100%
[srs15] [81/172] Installing rubygem-tilt1-1.4.1...
[srs15] [81/172] Extracting rubygem-tilt1-1.4.1: 100%
[srs15] [82/172] Installing rubygem-hike-1.2.3,1...
[srs15] [82/172] Extracting rubygem-hike-1.2.3,1: 100%
[srs15] [83/172] Installing rubygem-builder-3.0.4...
[srs15] [83/172] Extracting rubygem-builder-3.0.4: 100%
[srs15] [84/172] Installing rubygem-activesupport-3.2.22...
[srs15] [84/172] Extracting rubygem-activesupport-3.2.22: 100%
[srs15] [85/172] Installing cups-client-2.0.3_2...
===> Creating users and/or groups.
Creating group 'cups' with gid '193'.
Creating user 'cups' with uid '193'.
[srs15] [85/172] Extracting cups-client-2.0.3_2: 100%
[srs15] [86/172] Installing python-2.7_2,2...
[srs15] [86/172] Extracting python-2.7_2,2: 100%
[srs15] [87/172] Installing gtk-update-icon-cache-2.24.28...
[srs15] [87/172] Extracting gtk-update-icon-cache-2.24.28: 100%
[srs15] [88/172] Installing rubygem-json-1.8.3...
[srs15] [88/172] Extracting rubygem-json-1.8.3: 100%
[srs15] [89/172] Installing node-0.12.7...
[srs15] [89/172] Extracting node-0.12.7: 100%
[srs15] [90/172] Installing rubygem-rack-test-0.6.3_1...
[srs15] [90/172] Extracting rubygem-rack-test-0.6.3_1: 100%
[srs15] [91/172] Installing rubygem-rack-cache-1.2_1...
[srs15] [91/172] Extracting rubygem-rack-cache-1.2_1: 100%
[srs15] [92/172] Installing rubygem-rack-1.4.7,3...
[srs15] [92/172] Extracting rubygem-rack-1.4.7,3: 100%
[srs15] [93/172] Installing rubygem-journey-1.0.4...
[srs15] [93/172] Extracting rubygem-journey-1.0.4: 100%
[srs15] [94/172] Installing rubygem-erubis-2.7.0_1...
[srs15] [94/172] Extracting rubygem-erubis-2.7.0_1: 100%
[srs15] [95/172] Installing rubygem-sprockets22-2.2.3_1...
[srs15] [95/172] Extracting rubygem-sprockets22-2.2.3_1: 100%
[srs15] [96/172] Installing rubygem-activemodel-3.2.22...
[srs15] [96/172] Extracting rubygem-activemodel-3.2.22: 100%
[srs15] [97/172] Installing rubygem-polyglot-0.3.5...
[srs15] [97/172] Extracting rubygem-polyglot-0.3.5: 100%
[srs15] [98/172] Installing gtk2-2.24.28...
[srs15] [98/172] Extracting gtk2-2.24.28: 100%
[srs15] [99/172] Installing rubygem-execjs-2.5.2...
[srs15] [99/172] Extracting rubygem-execjs-2.5.2: 100%
[srs15] [100/172] Installing rubygem-rack-ssl-1.4.1_1,1...
[srs15] [100/172] Extracting rubygem-rack-ssl-1.4.1_1,1: 100%
[srs15] [101/172] Installing rubygem-actionpack-3.2.22...
[srs15] [101/172] Extracting rubygem-actionpack-3.2.22: 100%
[srs15] [102/172] Installing rubygem-thor-0.19.1...
[srs15] [102/172] Extracting rubygem-thor-0.19.1: 100%
[srs15] [103/172] Installing rubygem-rdoc3-3.12.2...
[srs15] [103/172] Extracting rubygem-rdoc3-3.12.2: 100%
[srs15] [104/172] Installing rubygem-rake-10.4.2...
[srs15] [104/172] Extracting rubygem-rake-10.4.2: 100%
[srs15] [105/172] Installing rubygem-mime-types1-1.25.1...
[srs15] [105/172] Extracting rubygem-mime-types1-1.25.1: 100%
[srs15] [106/172] Installing rubygem-treetop-1.6.3...
[srs15] [106/172] Extracting rubygem-treetop-1.6.3: 100%
[srs15] [107/172] Installing rubygem-coffee-script-source-1.9.1.1...
[srs15] [107/172] Extracting rubygem-coffee-script-source-1.9.1.1: 100%
[srs15] [108/172] Installing libpaper-1.1.24.4...
[srs15] [108/172] Extracting libpaper-1.1.24.4: 100%
[srs15] [109/172] Installing gsfonts-8.11_6...
[srs15] [109/172] Extracting gsfonts-8.11_6: 100%
[srs15] [110/172] Installing cups-image-2.0.3_2...
===> Creating users and/or groups.
Using existing group 'cups'.
Using existing user 'cups'.
[srs15] [110/172] Extracting cups-image-2.0.3_2: 100%
[srs15] [111/172] Installing svgalib-1.4.3_7...
[srs15] [111/172] Extracting svgalib-1.4.3_7: 100%
[srs15] [112/172] Installing lcms2-2.7...
[srs15] [112/172] Extracting lcms2-2.7: 100%
[srs15] [113/172] Installing jbig2dec-0.11_4...
[srs15] [113/172] Extracting jbig2dec-0.11_4: 100%
[srs15] [114/172] Installing giflib-5.0.6...
[srs15] [114/172] Extracting giflib-5.0.6: 100%
[srs15] [115/172] Installing gtk-engines2-2.20.2_2...
[srs15] [115/172] Extracting gtk-engines2-2.20.2_2: 100%
[srs15] [116/172] Installing libcroco-0.6.8_2...
[srs15] [116/172] Extracting libcroco-0.6.8_2: 100%
[srs15] [117/172] Installing libgsf-1.14.33...
[srs15] [117/172] Extracting libgsf-1.14.33: 100%
[srs15] [118/172] Installing rubygem-railties-3.2.22...
[srs15] [118/172] Extracting rubygem-railties-3.2.22: 100%
[srs15] [119/172] Installing rubygem-sass-3.4.16...
[srs15] [119/172] Extracting rubygem-sass-3.4.16: 100%
[srs15] [120/172] Installing rubygem-tilt-2.0.1...
[srs15] [120/172] Extracting rubygem-tilt-2.0.1: 100%
[srs15] [121/172] Installing rubygem-mail25-2.5.4_1,2...
[srs15] [121/172] Extracting rubygem-mail25-2.5.4_1,2: 100%
[srs15] [122/172] Installing rubygem-tzinfo03-0.3.44...
[srs15] [122/172] Extracting rubygem-tzinfo03-0.3.44: 100%
[srs15] [123/172] Installing rubygem-minitest-5.7.0...
[srs15] [123/172] Extracting rubygem-minitest-5.7.0: 100%
[srs15] [124/172] Installing rubygem-ansi-1.5.0...
[srs15] [124/172] Extracting rubygem-ansi-1.5.0: 100%
[srs15] [125/172] Installing rubygem-coffee-script-2.4.1...
[srs15] [125/172] Extracting rubygem-coffee-script-2.4.1: 100%
[srs15] [126/172] Installing rubygem-arel3-3.0.3,1...
[srs15] [126/172] Extracting rubygem-arel3-3.0.3,1: 100%
[srs15] [127/172] Installing ghostscript9-9.06_10...
[srs15] [127/172] Extracting ghostscript9-9.06_10: 100%
[srs15] [128/172] Installing fftw3-3.3.3_2...
[srs15] [128/172] Extracting fftw3-3.3.3_2: 100%
[srs15] [129/172] Installing webp-0.4.3...
[srs15] [129/172] Extracting webp-0.4.3: 100%
[srs15] [130/172] Installing openjpeg-2.1.0_1...
[srs15] [130/172] Extracting openjpeg-2.1.0_1: 100%
[srs15] [131/172] Installing libwmf-0.2.8.4_14...
[srs15] [131/172] Extracting libwmf-0.2.8.4_14: 100%
[srs15] [132/172] Installing librsvg2-2.40.9...
[srs15] [132/172] Extracting librsvg2-2.40.9: 100%
[srs15] [133/172] Installing liblqr-1-0.4.1_8...
[srs15] [133/172] Extracting liblqr-1-0.4.1_8: 100%
[srs15] [134/172] Installing libfpx-1.3.1.4...
[srs15] [134/172] Extracting libfpx-1.3.1.4: 100%
[srs15] [135/172] Installing pkgconf-0.9.12...
[srs15] [135/172] Extracting pkgconf-0.9.12: 100%
[srs15] [136/172] Installing libltdl-2.4.6...
[srs15] [136/172] Extracting libltdl-2.4.6: 100%
[srs15] [137/172] Installing rubygem-eventmachine-1.0.7...
[srs15] [137/172] Extracting rubygem-eventmachine-1.0.7: 100%
[srs15] [138/172] Installing rubygem-daemons-1.2.3...
[srs15] [138/172] Extracting rubygem-daemons-1.2.3: 100%
[srs15] [139/172] Installing rubygem-uglifier-2.7.1...
[srs15] [139/172] Extracting rubygem-uglifier-2.7.1: 100%
[srs15] [140/172] Installing rubygem-jquery-rails-3.1.3...
[srs15] [140/172] Extracting rubygem-jquery-rails-3.1.3: 100%
[srs15] [141/172] Installing rubygem-activeresource-3.2.22...
[srs15] [141/172] Extracting rubygem-activeresource-3.2.22: 100%
[srs15] [142/172] Installing rubygem-sass-rails-3.2.6_4...
[srs15] [142/172] Extracting rubygem-sass-rails-3.2.6_4: 100%
[srs15] [143/172] Installing rubygem-bundler-1.10.6...
[srs15] [143/172] Extracting rubygem-bundler-1.10.6: 100%
[srs15] [144/172] Installing rubygem-actionmailer-3.2.22...
[srs15] [144/172] Extracting rubygem-actionmailer-3.2.22: 100%
[srs15] [145/172] Installing rubygem-turn-0.9.7...
[srs15] [145/172] Extracting rubygem-turn-0.9.7: 100%
[srs15] [146/172] Installing rubygem-coffee-rails-3.2.2_1...
[srs15] [146/172] Extracting rubygem-coffee-rails-3.2.2_1: 100%
[srs15] [147/172] Installing rubygem-sqlite3-1.3.10...
[srs15] [147/172] Extracting rubygem-sqlite3-1.3.10: 100%
[srs15] [148/172] Installing rubygem-activerecord-3.2.22...
[srs15] [148/172] Extracting rubygem-activerecord-3.2.22: 100%
[srs15] [149/172] Installing rubygem-ruby-openid-2.7.0...
[srs15] [149/172] Extracting rubygem-ruby-openid-2.7.0: 100%
[srs15] [150/172] Installing ImageMagick-6.9.1.10,1...
[srs15] [150/172] Extracting ImageMagick-6.9.1.10,1: 100%
[srs15] [151/172] Installing rubygem-structured_warnings-0.2.0...
[srs15] [151/172] Extracting rubygem-structured_warnings-0.2.0: 100%
[srs15] [152/172] Installing mysql56-client-5.6.25_2...
[srs15] [152/172] Extracting mysql56-client-5.6.25_2: 100%
[srs15] [153/172] Installing rubygem-thin-1.6.3_1...
[srs15] [153/172] Extracting rubygem-thin-1.6.3_1: 100%
[srs15] [154/172] Installing rubygem-rails-3.2.22...
[srs15] [154/172] Extracting rubygem-rails-3.2.22: 100%
[srs15] [155/172] Installing rubygem-rack-openid-1.4.2_2...
[srs15] [155/172] Extracting rubygem-rack-openid-1.4.2_2: 100%
[srs15] [156/172] Installing rubygem-redcarpet-3.3.2...
[srs15] [156/172] Extracting rubygem-redcarpet-3.3.2: 100%
[srs15] [157/172] Installing rubygem-coderay-1.1.0...
[srs15] [157/172] Extracting rubygem-coderay-1.1.0: 100%
[srs15] [158/172] Installing rubygem-rbpdf-1.18.6...
[srs15] [158/172] Extracting rubygem-rbpdf-1.18.6: 100%
[srs15] [159/172] Installing rubygem-net-ldap-0.11...
[srs15] [159/172] Extracting rubygem-net-ldap-0.11: 100%
[srs15] [160/172] Installing rubygem-rmagick-2.15.3...
[srs15] [160/172] Extracting rubygem-rmagick-2.15.3: 100%
[srs15] [161/172] Installing rubygem-rubytree-0.9.6...
[srs15] [161/172] Extracting rubygem-rubytree-0.9.6: 100%
[srs15] [162/172] Installing rubygem-request_store-1.2.0...
[srs15] [162/172] Extracting rubygem-request_store-1.2.0: 100%
[srs15] [163/172] Installing rubygem-fastercsv-1.5.5...
[srs15] [163/172] Extracting rubygem-fastercsv-1.5.5: 100%
[srs15] [164/172] Installing rubygem-mysql2-0.3.19...
[srs15] [164/172] Extracting rubygem-mysql2-0.3.19: 100%
[srs15] [165/172] Installing apache24-2.4.16...
===> Creating users and/or groups.
Using existing group 'www'.
Using existing user 'www'.
[srs15] [165/172] Extracting apache24-2.4.16: 100%
[srs15] [166/172] Installing rubygem-fastthread-1.0.7...
[srs15] [166/172] Extracting rubygem-fastthread-1.0.7: 100%
[srs15] [167/172] Installing rubygem-daemon_controller-1.2.0...
[srs15] [167/172] Extracting rubygem-daemon_controller-1.2.0: 100%
[srs15] [168/172] Installing libuv-1.6.1...
[srs15] [168/172] Extracting libuv-1.6.1: 100%
[srs15] [169/172] Installing redmine-2.6.3_3...
===> Creating users and/or groups.
Using existing group 'www'.
Using existing user 'www'.
[srs15] [169/172] Extracting redmine-2.6.3_3: 100%
[srs15] [170/172] Installing mysql56-server-5.6.25...
===> Creating users and/or groups.
Creating group 'mysql' with gid '88'.
Creating user 'mysql' with uid '88'.
[srs15] [170/172] Extracting mysql56-server-5.6.25: 100%
[srs15] [171/172] Installing rubygem-passenger-5.0.14...
[srs15] [171/172] Extracting rubygem-passenger-5.0.14: 100%
[srs15] [172/172] Installing ap24-mod_fastcgi-2.4.7_1...
[srs15] [172/172] Extracting ap24-mod_fastcgi-2.4.7_1: 100%
[preparing module `fastcgi' in /usr/local/etc/apache24/httpd.conf]
Message for ruby-2.1.6,1:
====
====
Some of the standard commands are provided as separate ports for ease
Some of the standard commands are provided as separate ports for ease
of upgrading:
of upgrading:


        devel/ruby-gems:       gem - RubyGems package manager
devel/ruby-gems: gem - RubyGems package manager
        devel/rubygem-rake:     rake - Ruby Make
devel/rubygem-rake: rake - Ruby Make


And some of the standard libraries are provided as separate ports
And some of the standard libraries are provided as separate ports
since they require extra dependencies:
since they require extra dependencies:


        databases/ruby-gdbm:   GDBM module
databases/ruby-gdbm: GDBM module


Install them as occasion demands.
Install them as occasion demands.
====
====
Message for dejavu-2.35:
</pre>
Make sure that the freetype module is loaded.  If it is not, add the following
<pre>
line to the "Modules" section of your X Windows configuration file:
Message from gcc-4.8.5_2:
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using


        Load "freetype"
  -Wl,-rpath=/usr/local/lib/gcc48


Add the following line to the "Files" section of X Windows configuration file:
For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
 
transparently.
        FontPath "/usr/local/share/fonts/dejavu/"
Message from trousers-tddl-0.3.10_7:
 
Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
Message for trousers-tddl-0.3.10_7:
To run tcsd automatically, add the following line to /etc/rc.conf
To run tcsd automatically, add the following line to /etc/rc.conf


Zeile 838: Zeile 77:


# pw groupadd _tss -m your_account
# pw groupadd _tss -m your_account
Message for node-0.12.7:
Message from dejavu-2.35:
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:
 
Load "freetype"
 
Add the following line to the "Files" section of X Windows configuration file:
 
FontPath "/usr/local/share/fonts/dejavu/"
 
Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
</pre>
<pre>
Message from node-5.9.1:
Note: If you need npm (Node Package Manager), please install www/npm.
Note: If you need npm (Node Package Manager), please install www/npm.
Message for ghostscript9-9.06_10:
Message from ghostscript9-agpl-base-9.16_5:
Note: in order to use the script "dvipdf", dvips must be installed.
Note: in order to use the script "dvipdf", dvips must be installed.
This program is provided by another package print/tex-dvipsk.
This program is provided by another package print/tex-dvipsk.


FAPIfontmap and FAPIcidfmap in /usr/local/share/ghostscript/9.06/Resource/Init
FAPIfontmap and FAPIcidfmap in /usr/local/share/ghostscript/9.16/Resource/Init
have to be configured if you want to use FAPI feature.
have to be configured if you want to use FAPI feature.
Message for liblqr-1-0.4.1_8:
</pre>
<pre>
Message from liblqr-1-0.4.1_8:
==========================================================================
==========================================================================
NOTE: In order to compile examples for liblqr, you will
NOTE: In order to compile examples for liblqr, you will
Zeile 852: Zeile 107:
Examples are located in /usr/local/share/examples/liblqr-1
Examples are located in /usr/local/share/examples/liblqr-1
==========================================================================
==========================================================================
Message for mysql56-client-5.6.25_2:
</pre>
<pre>
Message from mysql56-client-5.6.27:
* * * * * * * * * * * * * * * * * * * * * * * *
* * * * * * * * * * * * * * * * * * * * * * * *


Zeile 867: Zeile 124:


* * * * * * * * * * * * * * * * * * * * * * * *
* * * * * * * * * * * * * * * * * * * * * * * *
Message for apache24-2.4.16:
</pre>
<pre>
Message from redmine-2.6.9_2:
=============================================================================
 
Redmine was installed.
 
You now need to setup your Redmine installation so
please have a look at the Installation Guide.
 
http://www.redmine.org/wiki/redmine/RedmineInstall
 
 
If you are upgrading please read the Upgrading Guide
before starting the new version.
 
http://www.redmine.org/wiki/redmine/RedmineUpgrade
 
=============================================================================
</pre>
: <code>pkg install -y mysql56-server</code>
<pre></pre>
<pre>
Message from mysql56-server-5.6.27:
************************************************************************
 
Remember to run mysql_upgrade the first time you start the MySQL server
after an upgrade from an earlier version.
 
************************************************************************
</pre>
 
[[Diskussion:Server/Redmine#rake 10 vs rake 11]]
: <code>pkg install -y rubygem-passenger</code>
<pre></pre>
<pre>
Message from apache24-2.4.18:
To run apache www server from startup, add apache24_enable="yes"
To run apache www server from startup, add apache24_enable="yes"
in your /etc/rc.conf. Extra options can be found in startup script.
in your /etc/rc.conf. Extra options can be found in startup script.
Zeile 890: Zeile 183:


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Message for redmine-2.6.3_3:
Message from rubygem-passenger-5.0.26:
=============================================================================
#####################################################################
 
Please edit your Apache configuration file, and add these lines:


Redmine was installed.
  LoadModule passenger_module /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.26/buildout/apache2/mod_passenger.so
  PassengerRoot /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.26
  PassengerRuby /usr/local/bin/ruby22


You now need to setup your Redmine installation so
After you restart Apache, you are ready to deploy any number of Ruby on Rails
please have a look at the Installation Guide.
applications on Apache, without any further Ruby on Rails-specific
configuration!


http://www.redmine.org/wiki/redmine/RedmineInstall
#####################################################################
</pre>
: <code>ee /usr/local/etc/apache24/httpd.conf</code>
<pre>
        LoadModule passenger_module /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.26/buildout/apache2/mod_passenger
        PassengerRoot /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.26                                 
        PassengerRuby /usr/local/bin/ruby22
</pre>
: <code>service apache24 start</code>
: <code>pkg install -y ap24-mod_fastcgi</code>
<pre></pre>
: <code>ee /usr/local/etc/apache24/httpd.conf</code>
<pre></pre>
<pre>
</pre>
<pre></pre>
: <code>service apache24 restart</code>
<!--
----


==== Vorbereitung der Installation ====


If you are upgrading please read the Upgrading Guide
; pauschales Aktualisieren
before starting the new version.
: <code>pkg upgrade -y</code>


http://www.redmine.org/wiki/redmine/RedmineUpgrade
; Installation von Programmen, die Menschen gern haben wollten, um es sich einfach zu machen:
:; gewohnheitsmäßiges (Installieren von ''zsh'' und) Wechseln zu ''zsh''
:: <code>pkg install -y zsh; zsh</code>
:; gewohnheitsmäßiges (Installieren von ''tmux'' und) Nutzen von ''tmux''
:: <code>pkg install -y tmux</code>
::; Starten einer ersten Session ''tmux''
::: <code>tmux</code>
::; Anhängen an eine ersten Session ''tmux''
::: <code>tmux attach</code>
:; ergänzendes (Installieren von ''tmux'' und) Bereitstellen von ''nano'':
::: als Alternative zum Standard ''ee''
:: <code>pkg install -y nano</code>


=============================================================================
; Setzen der Umgebungsvariablen für ''Locale'' auf deutsche Sprache und Zeichensatz:
Message for mysql56-server-5.6.25:
:: Es heißt immer, dass das für Ruby wichtig wäre.
************************************************************************
:: Das Setzen der Umgebungsvariablen bezieht sich auf die aktuelle Shell. (Das ist zum aktuellen )
: <code>export LANG=de_DE.UTF-8</code>
: <code>export LC_ALL=de_DE.UTF-8</code>


Remember to run mysql_upgrade the first time you start the MySQL server
; Setzen der Umgebungsvariable ''$LANG'' auf deutsche Sprache für das gesamte System
after an upgrade from an earlier version.
: <code>$EDITOR /etc/[[freebsd-man:login.conf|login.conf]]</code>
<pre></pre>
<pre>
default:\
</pre>
<pre>
        :lang=de_DE.UTF-8:\
</pre>
<pre></pre>
: <code>[[freebsd-man:cap_mkdb|cap_mkdb]] /etc/login.conf</code>


************************************************************************
==== Auswahl von Komponenten für die Installation ====
Message for rubygem-passenger-5.0.14:
#####################################################################


Please edit your Apache configuration file, and add these lines:
[[Redmine]] kann mit verschiedensten Komponenten betrieben werden. Die "klassische" Konstellation ist Apache (als Webserver) und MySQL (als Datenbank).


  LoadModule passenger_module /usr/local/lib/ruby/gems/2.1/gems/passenger-5.0.14/buildout/apache2/mod_passenger.so
==== Auswahl von Komponenten für die Installation ====
  PassengerRoot /usr/local/lib/ruby/gems/2.1/gems/passenger-5.0.14
Es wurde sich für
  PassengerRuby /usr/local/bin/ruby21
* ''nginx'' (statt häufig sonst ''apache'') als web server
*: Entscheidend war das einfacher verständlichen Dateien zur Konfiguration und der bekannte ressourcensparende Betrieb.
* ''postgresql'' (statt häufig sonst ''mysql'') als database
*: Entscheidend war der Ansatz für später einfach mögliches Clustern mit PostgreSQL und der Wunsch nach einer Alternative zu MySQL.
entschieden.


After you restart Apache, you are ready to deploy any number of Ruby on Rails
==== Durchführung der Installation ====
applications on Apache, without any further Ruby on Rails-specific
configuration!


#####################################################################
; Installation der benötigten Pakete
</pre>
: <code>pkg install -y nginx postgresql94-server redmine rubygem-passenger</code>
-->
==== Einrichten von Komponenten ====


===== Datenbank MySQL einrichten =====
: <code>echo 'nginx_enable="YES"' >> /etc/rc.conf</code>
: <code>echo 'postgresql_enable="YES"' >> /etc/rc.conf</code>
: <code>echo 'redmine_enable="YES"' >> /etc/rc.conf</code>


; Dienst MySQL für RC zulassen:
: <code>echo 'postgresql_class="postgres"' >> /etc/rc.conf</code>
:: Somit soll der Dienst MySQL auch immer beim Starten gestartet werden.
; Setzen der Umgebungsvariable ''$LANG'' auf deutsche Sprache für den Account ''postgres''
: <code>echo 'mysql_enable="YES"' >> /etc/rc.conf</code>
: <code>$EDITOR /etc/[[freebsd-man:login.conf|login.conf]]</code>
; Dienst MySQL starten
<pre></pre>
: <code>service mysql-server start</code>
<pre>
<pre>
Starting mysql.
postgres:\
        :lang=de_DE.UTF-8:\
        :setenv=LC_COLLATE=de_DE.UTF-8:\
        :tc=default:
</pre>
</pre>
; Initialisieren des Verzeichnisses es für Daten des Dienstes MySQL
<pre></pre>
: <code>mysql_install_db --basedir /usr/local</code>
: <code>[[freebsd-man:cap_mkdb|cap_mkdb]] /etc/login.conf</code>
<!--
 
<pre>
: <code>chown -R www:www /usr/local/www/redmine</code>
Installing MySQL system tables...2015-08-04 04:01:48 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2015-08-04 04:01:48 0 [Note] /usr/local/libexec/mysqld (mysqld 5.6.25) starting as process 49243 ...
2015-08-04 04:01:48 49243 [Note] InnoDB: Using atomics to ref count buffer pool pages
2015-08-04 04:01:48 49243 [Note] InnoDB: The InnoDB memory heap is disabled
2015-08-04 04:01:48 49243 [Note] InnoDB: Mutexes and rw_locks use GCC atomic builtins
2015-08-04 04:01:48 49243 [Note] InnoDB: Memory barrier is not used
2015-08-04 04:01:48 49243 [Note] InnoDB: Compressed tables use zlib 1.2.3
2015-08-04 04:01:48 49243 [Note] InnoDB: Using CPU crc32 instructions
2015-08-04 04:01:48 49243 [Note] InnoDB: Initializing buffer pool, size = 128.0M
2015-08-04 04:01:48 49243 [Note] InnoDB: Completed initialization of buffer pool
2015-08-04 04:01:48 49243 [Note] InnoDB: The first specified data file ./ibdata1 did not exist: a new database to be created!
2015-08-04 04:01:48 49243 [Note] InnoDB: Setting file ./ibdata1 size to 12 MB
2015-08-04 04:01:48 49243 [Note] InnoDB: Database physically writes the file full: wait...
2015-08-04 04:01:48 49243 [Note] InnoDB: Setting log file ./ib_logfile101 size to 48 MB
2015-08-04 04:01:49 49243 [Note] InnoDB: Setting log file ./ib_logfile1 size to 48 MB
2015-08-04 04:01:49 49243 [Note] InnoDB: Renaming log file ./ib_logfile101 to ./ib_logfile0
2015-08-04 04:01:49 49243 [Warning] InnoDB: New log files created, LSN=45781
2015-08-04 04:01:49 49243 [Note] InnoDB: Doublewrite buffer not found: creating new
2015-08-04 04:01:49 49243 [Note] InnoDB: Doublewrite buffer created
2015-08-04 04:01:49 49243 [Note] InnoDB: 128 rollback segment(s) are active.
2015-08-04 04:01:49 49243 [Warning] InnoDB: Creating foreign key constraint system tables.
2015-08-04 04:01:49 49243 [Note] InnoDB: Foreign key constraint system tables created
2015-08-04 04:01:49 49243 [Note] InnoDB: Creating tablespace and datafile system tables.
2015-08-04 04:01:49 49243 [Note] InnoDB: Tablespace and datafile system tables created.
2015-08-04 04:01:49 49243 [Note] InnoDB: Waiting for purge to start
2015-08-04 04:01:49 49243 [Note] InnoDB: 5.6.25 started; log sequence number 0
2015-08-04 04:01:50 49243 [Note] Binlog end
2015-08-04 04:01:50 49243 [Note] InnoDB: FTS optimize thread exiting.
2015-08-04 04:01:50 49243 [Note] InnoDB: Starting shutdown...
2015-08-04 04:01:51 49243 [Note] InnoDB: Shutdown completed; log sequence number 1625977
OK


Filling help tables...2015-08-04 04:01:51 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
<pre>beg Auf dem Host!</pre>
2015-08-04 04:01:51 0 [Note] /usr/local/libexec/mysqld (mysqld 5.6.25) starting as process 49245 ...
2015-08-04 04:01:51 49245 [Note] InnoDB: Using atomics to ref count buffer pool pages
2015-08-04 04:01:51 49245 [Note] InnoDB: The InnoDB memory heap is disabled
2015-08-04 04:01:51 49245 [Note] InnoDB: Mutexes and rw_locks use GCC atomic builtins
2015-08-04 04:01:51 49245 [Note] InnoDB: Memory barrier is not used
2015-08-04 04:01:51 49245 [Note] InnoDB: Compressed tables use zlib 1.2.3
2015-08-04 04:01:51 49245 [Note] InnoDB: Using CPU crc32 instructions
2015-08-04 04:01:51 49245 [Note] InnoDB: Initializing buffer pool, size = 128.0M
2015-08-04 04:01:52 49245 [Note] InnoDB: Completed initialization of buffer pool
2015-08-04 04:01:52 49245 [Note] InnoDB: Highest supported file format is Barracuda.
2015-08-04 04:01:52 49245 [Note] InnoDB: 128 rollback segment(s) are active.
2015-08-04 04:01:52 49245 [Note] InnoDB: Waiting for purge to start
2015-08-04 04:01:52 49245 [Note] InnoDB: 5.6.25 started; log sequence number 1625977
2015-08-04 04:01:52 49245 [Note] Binlog end
2015-08-04 04:01:52 49245 [Note] InnoDB: FTS optimize thread exiting.
2015-08-04 04:01:52 49245 [Note] InnoDB: Starting shutdown...
2015-08-04 04:01:53 49245 [Note] InnoDB: Shutdown completed; log sequence number 1625987
OK


To start mysqld at boot time you have to copy
Wenn es sich um eine Jail handelt, so muss für PostgreSQL SysV IPC erlaubt sein. Bei FreeNAS muss einfach bei der Jail <code>,allow.sysvipc=true</code> ergänzend eingetragen werden.  
support-files/mysql.server to the right place for your system


PLEASE REMEMBER TO SET A PASSWORD FOR THE MySQL root USER !
<pre>end Auf dem Host!</pre>
To do so, start the server, then issue the following commands:


  /usr/local/bin/mysqladmin -u root password 'new-password'
: <code>service postgresql initdb</code>
  /usr/local/bin/mysqladmin -u root -h srs15 password 'new-password'
: <code>service postgresql start</code>


Alternatively you can run:
: <code>su pgsql</code>


  /usr/local/bin/mysql_secure_installation
----


which will also give you the option of removing the test
: <code>createdb ''<name-der-datenbank>''</code>
databases and anonymous user created by default. This is
:: Der Name der Datenbank, hier ''<name-der-datenbank>'' genannt, ist im [[Ordner Zugangsdaten]] hinterlegt.
strongly recommended for production servers.
: <code>exit</code>


See the manual for more instructions.
----


You can start the MySQL daemon with:
: <code>passwd pgsql</code>


  cd . ; /usr/local/bin/mysqld_safe &
:: <code>$EDITOR /usr/local/www/redmine/config/database.yml</code>
::: Beispielsweise bei ''password'' muss das Passwort für die Datenbank eingetragen werden und nicht ''redmine''.
<pre>
production:
  adapter: postgresql
  database: <name-der-datenbank>
  host: localhost
  username: pgsql
  password: "<passwort-zum-zugang-zur-datenbank-bei-pgsql>"
  encoding: utf8
</pre>


You can test the MySQL daemon with mysql-test-run.pl
: <code>cd /usr/local/www/redmine; bundle install</code>
: <code>cd /usr/local/www/redmine; rake generate_secret_token</code>


  cd mysql-test ; perl mysql-test-run.pl
: <code>RAILS_ENV=production rake db:migrate</code>
: <code>RAILS_ENV=production rake redmine:load_default_data</code>
<pre>


Please report any problems at http://bugs.mysql.com/
Select language: ar, az, bg, bs, ca, cs, da, de, el, en, en-GB, es, et, eu, fa, fi, fr, gl, he, hr, hu, id, it, ja, ko, lt, lv, mk, mn, nl, no, pl, pt, pt-BR, ro, ru, sk, sl, sq, sr, sr-YU, sv, th, tr, uk, vi, zh, zh-TW [en] de
</pre>
<pre>
====================================
Default configuration data loaded.
</pre>


The latest information about MySQL is available on the web at
: <code>cd /usr/local/www/redmine</code>
: <code>mkdir tmp tmp/pdf public/plugin_assets</code>
: <code>chown -R www:www /usr/local/www/redmine</code>


  http://www.mysql.com
: <code>cd /usr/local/www/redmine</code>
: <code>mkdir tmp tmp/pdf public/plugin_assets</code>
: <code>chmod -R 755 files log tmp public/plugin_assets</code>


Support MySQL by buying support/licenses at http://shop.mysql.com
: <code>bundle exec ruby script/rails server webrick -e production</code>
<!--
==== Einrichten von Komponenten ====


WARNING: Found existing config file /usr/local/my.cnf on the system.
===== Datenbank MySQL einrichten =====
Because this file might be in use, it was not replaced,
but was used in bootstrap (unless you used --defaults-file)
and when you later start the server.
The new default config file was created as /usr/local/my-new.cnf,
please compare it with your file and take the changes you need.


; Dienst MySQL für RC zulassen:
:: Somit soll der Dienst MySQL auch immer beim Starten gestartet werden.
: <code>echo 'mysql_enable="YES"' >> /etc/rc.conf</code>
; Dienst MySQL starten
: <code>service mysql-server start</code>
<pre>
Starting mysql.
</pre>
</pre>
-->
; Initialisieren des Verzeichnisses es für Daten des Dienstes MySQL
 
: <code>mysql_install_db --basedir /usr/local</code>
; Setzen des Passwortes für ''root'' beim Dienst MySQL
; Setzen des Passwortes für ''root'' beim Dienst MySQL
: <code>mysqladmin -u root password</code>
: <code>mysqladmin -u root password</code>
Zeile 1.056: Zeile 372:
; Vervollständigendes sicheres Installieren des Dienstes MySQL
; Vervollständigendes sicheres Installieren des Dienstes MySQL
: <code>mysql_secure_installation</code>
: <code>mysql_secure_installation</code>
<!--
<pre>
NOTE: RUNNING ALL PARTS OF THIS SCRIPT IS RECOMMENDED FOR ALL MySQL
      SERVERS IN PRODUCTION USE!  PLEASE READ EACH STEP CAREFULLY!
In order to log into MySQL to secure it, we'll need the current
password for the root user.  If you've just installed MySQL, and
you haven't set the root password yet, the password will be blank,
so you should just press enter here.
Enter current password for root (enter for none):
OK, successfully used password, moving on...
Setting the root password ensures that nobody can log into the MySQL
root user without the proper authorisation.
You already have a root password set, so you can safely answer 'n'.
Change the root password? [Y/n] n
... skipping.
By default, a MySQL installation has an anonymous user, allowing anyone
to log into MySQL without having to have a user account created for
them.  This is intended only for testing, and to make the installation
go a bit smoother.  You should remove them before moving into a
production environment.
Remove anonymous users? [Y/n] y
... Success!
Normally, root should only be allowed to connect from 'localhost'.  This
ensures that someone cannot guess at the root password from the network.
Disallow root login remotely? [Y/n] y
... Success!
By default, MySQL comes with a database named 'test' that anyone can
access.  This is also intended only for testing, and should be removed
before moving into a production environment.
Remove test database and access to it? [Y/n] y
- Dropping test database...
... Success!
- Removing privileges on test database...
... Success!
Reloading the privilege tables will ensure that all changes made so far
will take effect immediately.
Reload privilege tables now? [Y/n] y
... Success!
All done!  If you've completed all of the above steps, your MySQL
installation should now be secure.
Thanks for using MySQL!
Cleaning up...
</pre>
-->
<pre>
<pre>
Enter current password for root (enter for none):  
Enter current password for root (enter for none):  
Zeile 1.145: Zeile 393:
: <code>mysql -u root -p</code>
: <code>mysql -u root -p</code>
----
----
<!--
<pre>
Enter password:
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 11
Server version: 5.6.25 Source distribution
Copyright (c) 2000, 2015, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.
Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.
mysql> create database redmine character set utf8;
Query OK, 1 row affected (0,00 sec)
mysql> create user 'redmine'@'localhost' identified by 'redmine';
Query OK, 0 rows affected (0,00 sec)
mysql> grant all privileges on redmine.* to 'redmine'@'localhost';
Query OK, 0 rows affected (0,00 sec)
mysql> flush privileges;
Query OK, 0 rows affected (0,00 sec)
mysql> quit;
Bye
</pre>
-->
<pre>
<pre>
Enter password:  
Enter password:  
Zeile 1.227: Zeile 444:
</pre>
</pre>
:: <code>bundle install</code>
:: <code>bundle install</code>
<!--
<pre>
Don't run Bundler as root. Bundler can ask for sudo if it is needed, and installing your bundle as root will break this application for all non-root users on this machine.
Using rake 10.4.2
Using i18n 0.7.0
Using multi_json 1.11.2
Using activesupport 3.2.22
Using builder 3.0.4
Using activemodel 3.2.22
Using erubis 2.7.0
Using journey 1.0.4
Using rack 1.4.7
Using rack-cache 1.2
Using rack-test 0.6.3
Using hike 1.2.3
Using tilt 1.4.1
Using sprockets 2.2.3
Using actionpack 3.2.22
Using mime-types 1.25.1
Using polyglot 0.3.5
Using treetop 1.6.3
Using mail 2.5.4
Using actionmailer 3.2.22
Using arel 3.0.3
Using tzinfo 0.3.44
Using activerecord 3.2.22
Using activeresource 3.2.22
Using coderay 1.1.0
Using daemons 1.2.3
Using eventmachine 1.0.7
Using rack-ssl 1.4.1
Using json 1.8.3
Using rdoc 3.12.2
Using thor 0.19.1
Using railties 3.2.22
Using jquery-rails 3.1.3
Using mysql 2.8.1
Using net-ldap 0.11
Using ruby-openid 2.7.0
Using rack-openid 1.4.2
Using bundler 1.10.6
Using rails 3.2.22
Using rbpdf 1.18.6
Using redcarpet 3.3.2
Using request_store 1.1.0
Using rmagick 2.15.3
Using thin 1.6.3
Bundle complete! 18 Gemfile dependencies, 44 gems now installed.
Use `bundle show [gemname]` to see where a bundled gem is installed.
</pre>
-->
:: <code>rake generate_session_store</code>
<pre>
Note: The rake task generate_session_store has been deprecated, please use the replacement version generate_secret_token
</pre>
:: <code>rake generate_secret_token</code>
:: <code>rake generate_secret_token</code>
: <code>RAILS_ENV=production rake db:migrate</code>
: <code>RAILS_ENV=production rake db:migrate</code>
<!--
<pre>
</pre>
-->
: <code>RAILS_ENV=production rake redmine:load_default_data</code>
: <code>RAILS_ENV=production rake redmine:load_default_data</code>
<pre>
<pre>
Zeile 1.321: Zeile 478:
:: Somit soll der Dienst Redmine auch immer beim Starten gestartet werden.
:: Somit soll der Dienst Redmine auch immer beim Starten gestartet werden.
: <code>echo 'redmine_enable="YES"' >> /etc/rc.conf</code>
: <code>echo 'redmine_enable="YES"' >> /etc/rc.conf</code>
-->
== Einrichtung ==
=== Einrichtung von Redmine ===
: <code>cp /usr/local/www/redmine/config/configuration.yml.example /usr/local/www/redmine/config/configuration.yml</code>
===== Einrichtung des Versands von Mails durch Redmine =====
eine Methode zum Versand von Mails durch Redmine angegeben
: Voraussetzung ist, dass <code>sendmail</code> lokal (in der Instany) funktioniert
: getestet und weiter eingerichtet werden kann bei https://141.56.50.15/settings?tab=notifications
: <code>$EDITOR /usr/local/www/redmine/config/configuration.yml</code>
<pre></pre>
<pre>
production:
</pre>
<pre></pre>
<pre>
  email_delivery:
    delivery_method: :sendmail
</pre>
: Alternativ könnte bestimmt auch der zentralen Postausgangsserver genutzt werden.
<pre></pre>
<pre>
production:
</pre>
<pre></pre>
<pre>
#  email_delivery:
#    delivery_method: :smtp
#    smtp_settings:
#      address: smtp.knology.net
#      port: 25
#      domain: cybersprocket.com
</pre>
; Siehe auch:
* https://www.redmine.org/projects/redmine/wiki/EmailConfiguration
===== Einrichtung der Programme für Versionsverwaltung von Quellen bei Redmine =====
Angeben des Pfades für die Befehle von <code>git</code> und <code>svn</code> für die Verwaltung von repositories (aka [[wikipedia:de:Versionsverwaltung|source control management]] (kurz ''[[wikipedia:en:source control management|SCM]]''))
: getestet und weiter eingerichtet werden kann bei https://141.56.50.15/settings?tab=repositories
: <code>$EDITOR /usr/local/www/redmine/config/configuration.yml</code>
<pre></pre>
<pre>
production:
</pre>
<pre></pre>
<pre>
  scm_subversion_command:      /usr/local/bin/svn
  scm_git_command:              /usr/local/bin/git
</pre>
Vorbereiten des Benennens einer Datei zum Loggen für die Verwaltung von repositories (aka [[wikipedia:de:Versionsverwaltung|source control management]] (kurz ''[[wikipedia:en:source control management|SCM]]''))
: getestet und weiter eingerichtet werden kann bei https://141.56.50.15/settings?tab=repositories
: <code>$EDITOR /usr/local/www/redmine/config/configuration.yml</code>
<pre></pre>
<pre>
production:
</pre>
<pre></pre>
<pre>
  # scm_stderr_log_file: /var/log/redmine_scm_stderr.log
</pre>
===== Einrichtung der Verwendung von ImageMagick durch Redmine =====
Angeben des Pfades für den Befehl von <code>convert</code> für die Verwendung von [[wikiepedia:de:ImageMagick|ImageMagick]] (zur Anpassung von Grafiken)
: geprüft werden kann bei https://141.56.50.15/admin/info
: <code>$EDITOR /usr/local/www/redmine/config/configuration.yml</code>
<pre></pre>
<pre>
production:
</pre>
<pre></pre>
<pre>
  imagemagick_convert_command: /usr/local/bin/convert
</pre>
; Siehe auch:
* [[Diskussion:Server/srs15#ImageMagick convert available (optional) funktionieren lassen]]
* [[freshports:graphics/ImageMagick]]
* [[freshports:graphics/rubygem-rmagick]]
* http://rmagick.rubyforge.org/install-faq.html#linux
===== Aktivierung der REST-Schnittstelle =====
Einzelne Apps - womit Mitglieder versuchen wollten [[AUS]] ([[Redmine]]) auf dem eigenen [[Smartphone]] effektiv zu nutzen - möchte sich (ausschließlich) per [[wikipedia:de:Representational State Transfer|REST]] authentifizieren.
per Oberfläche
* Administration
** Konfiguration
*** Authentifizierung
**** ''REST-Schnittstelle aktivieren'' angewählt
**** ''Speichern'' geklickt
== Dinge, die noch möglich sind ==
: <code>echo '/usr/local/www/redmine/log/production.log 644 3 3000 * J' >> /etc/newsyslog.conf</code>


== Variablen ==
== Variablen ==
Zeile 1.365: Zeile 623:
|-
|-
|}
|}
== Aktualisierung ==
übliches Anhalten der Dienste bei [[FreeBSD]]
: <code>service apache24 stop</code>
: <code>service mysql-server stop</code>
übliches Aktualisieren bei [[FreeBSD]] für <code>pkg</code>
: <code>pkg update && pkg upgrade -y</code>
; Aktualisierung von <code>passenger</code>
: <code>service apache24 restart</code>
<pre>
Performing sanity check on apache24 configuration:
httpd: Syntax error on line 189 of /usr/local/etc/apache24/httpd.conf: Cannot load /usr/local/lib/ruby/gems/version/gems/passenger/buildout/apache2/mod_passenger.so into server: Cannot open "/usr/local/lib/ruby/gems/version/gems/passenger/buildout/apache2/mod_passenger.so"
</pre>
: <code>echo $(ls /usr/local/lib/ruby/gems/2.2/gems/ | grep passenger | tail -n 1)</code>
: <code>echo $(ls /usr/local/lib/ruby/gems/ | tail -n 1)</code>
: <code>echo $(ls /usr/local/lib/ruby/gems/ | tail -n 2 | head -n 1)</code>
: <code>ee /usr/local/etc/apache24/httpd.conf</code>
<pre></pre>
<pre>
#    LoadModule passenger_module /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.26/buildout/apache2/mod_passenger.so
#    PassengerRoot /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.26
#    PassengerRuby /usr/local/bin/ruby22
        LoadModule passenger_module /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.28/buildout/apache2/mod_passenger.so
        PassengerRoot /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.28
        PassengerRuby /usr/local/bin/ruby22
</pre>
<pre></pre>
: <code>service apache24 restart</code>
<pre>
Performing sanity check on apache24 configuration:
Syntax OK
apache24 not running? (check /var/run/httpd.pid).
Performing sanity check on apache24 configuration:
Syntax OK
Starting apache24.
</pre>
: <code>ls -l /usr/local/lib/ruby/gems/version</code>
: <code>ls -l /usr/local/lib/ruby/gems/version/gems/passenger</code>
: <code>ln -s /usr/local/lib/ruby/gems/$(ls /usr/local/lib/ruby/gems/ | tail -n 2 | head -n 1)/ /usr/local/lib/ruby/gems/version</code>
:: <code>rm /usr/local/lib/ruby/gems/version</code>
:: <code>ln -s /usr/local/lib/ruby/gems/$(ls /usr/local/lib/ruby/gems/ | tail -n 2 | head -n 1)/ /usr/local/lib/ruby/gems/version</code>
: <code>ln -s /usr/local/lib/ruby/gems/version/gems/$(ls /usr/local/lib/ruby/gems/version/gems/ | grep passenger | tail -n 1)/ /usr/local/lib/ruby/gems/version/gems/passenger</code>
:: <code>rm /usr/local/lib/ruby/gems/version/gems/passenger</code>
:: <code>ln -s /usr/local/lib/ruby/gems/version/gems/$(ls /usr/local/lib/ruby/gems/version/gems/ | grep passenger | tail -n 1)/ /usr/local/lib/ruby/gems/version/gems/passenger</code>
: <code>$EDITOR /usr/local/etc/apache24/httpd.conf</code>
<pre></pre>
<pre>
    LoadModule passenger_module /usr/local/lib/ruby/gems/version/gems/passenger/buildout/apache2/mod_passenger.so
    PassengerRoot /usr/local/lib/ruby/gems/version/gems/passenger
    PassengerRuby /usr/local/bin/ruby
</pre>
<pre></pre>
: <code>service apache24 restart</code>
<pre>
Performing sanity check on apache24 configuration:
Syntax OK
apache24 not running? (check /var/run/httpd.pid).
Performing sanity check on apache24 configuration:
Syntax OK
Starting apache24.
</pre>
; Aktualisierung der Pakete bei Redmine mit <code>bundle</code>
<!--
----
Vielleicht wäre das Anwenden mit dem weniger privilegierten Account redmine das besser.
Das führt aber zum Problem:
<pre>
Gem::FilePermissionError: You don't have write permissions for the /usr/local/lib/ruby/gems/2.2 directory.
An error occurred while installing rake (11.1.2), and Bundler cannot continue.
Make sure that `gem install rake -v '11.1.2'` succeeds before bundling.
</pre>
Im Übrigen wurde das Paket rubygem-rake von Version 11.1.2 auf 11.2.2 aktualisiert.
----
: <code>cd /usr/local/www/redmine ; su redmine -c 'bundle install' ; cd -</code>
: <code>cd /usr/local/www/redmine ; su redmine -c 'bundle exec rake tmp:cache:clear tmp:sessions:clear RAILS_ENV=production' ; cd -</code>
!-->
: <code>cd /usr/local/www/redmine ; bundle install ; cd -</code>
: <code>cd /usr/local/www/redmine ; bundle exec rake tmp:cache:clear tmp:sessions:clear RAILS_ENV=production ; cd -</code>
=== Aktualisierung Siehe auch ===
* [[Server/Redmine#Aktualisierung]]
== Fehlerbehebung ==
Ende vom Log vom Apache (wie in der Datei ''/usr/local/etc/apache24/httpd.conf'' definiert) für Redmine anschauen
: <code>tail /usr/local/www/redmine/log/redmine.example.com-error.log</code>


== Siehe auch ==
== Siehe auch ==

Aktuelle Version vom 18. Juli 2017, 06:27 Uhr

Betriebssystem[Bearbeiten]

Server/srs1337
Jail FreeNAS
FreeBSD

Verwendungszweck[Bearbeiten]

Erstellung[Bearbeiten]

Klicken der Jail über die Oberfläche von FreeNAS auf Server/srs1337
  • Jails ausgewählt
    • Add Jail ausgewählt
      • bei Jail Name: srs15 eingetragen
      • OK geklickt
        Jail wurde erstellt
    • View Jails ausgewählt
      • Zeile der Jail (Bezeichnung der Spalte) srs15 angewählt
        • Edit Jail (Werkzeugschlüssel) geklickt
          • bei IPv4 adress: ersetzend 141.56.50.15 eingetragen
          • OK geklickt
        • Edit Jail (Werkzeugschlüssel) geklickt
          • Advanced Mode geklickt
            • bei IPv4 default gateway: 141.56.50.254 eingetragen
            • IPv6 Autoconfigure: angewählt
            • bei Sysctls: ergänzend (zu allow.raw_sockets=true) noch ergänzend ,allow.sysvipc=true eingetragen
            • Save geklickt
      • Zeile der Jail (Bezeichnung der Spalte) srs15 angewählt
        • Restart (gelbes Symbol) geklickt
          • Yes geklickt
Testen des Zugriffes von Server/srs1337
  • per Klicken einer Konsole
  • vom Terminal aus
    jexec `jls | grep srs15 | awk '{ print $1 }'` sh

Installation[Bearbeiten]

pkg install -y redmine

Message from ruby-2.2.4,1:
====
Some of the standard commands are provided as separate ports for ease
of upgrading:

	devel/ruby-gems:	gem - RubyGems package manager
	devel/rubygem-rake:	rake - Ruby Make

And some of the standard libraries are provided as separate ports
since they require extra dependencies:

	databases/ruby-gdbm:	GDBM module

Install them as occasion demands.
====
Message from gcc-4.8.5_2:
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc48

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
Message from trousers-tddl-0.3.10_7:
To run tcsd automatically, add the following line to /etc/rc.conf

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

To use TPM, add your_account to '_tss' group like following:

# pw groupadd _tss -m your_account
Message from dejavu-2.35:
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

	Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

	FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
Message from node-5.9.1:
Note: If you need npm (Node Package Manager), please install www/npm.
Message from ghostscript9-agpl-base-9.16_5:
Note: in order to use the script "dvipdf", dvips must be installed.
This program is provided by another package print/tex-dvipsk.

FAPIfontmap and FAPIcidfmap in /usr/local/share/ghostscript/9.16/Resource/Init
have to be configured if you want to use FAPI feature.
Message from liblqr-1-0.4.1_8:
==========================================================================
NOTE: In order to compile examples for liblqr, you will
also need pngwriter port (/usr/ports/graphics/pngwriter).
Examples are located in /usr/local/share/examples/liblqr-1
==========================================================================
Message from mysql56-client-5.6.27:
* * * * * * * * * * * * * * * * * * * * * * * *

Please be aware the database client is vulnerable
to CVE-2015-3152 - SSL Downgrade aka "BACKRONYM".
You may find more information at the following URL:

http://www.vuxml.org/freebsd/36bd352d-299b-11e5-86ff-14dae9d210b8.html

Although this database client is not listed as
"affected", it is vulnerable and will not be 
receiving a patch. Please take note of this when
deploying this software.

* * * * * * * * * * * * * * * * * * * * * * * *
Message from redmine-2.6.9_2:
=============================================================================

Redmine was installed.

You now need to setup your Redmine installation so
please have a look at the Installation Guide.

http://www.redmine.org/wiki/redmine/RedmineInstall


If you are upgrading please read the Upgrading Guide
before starting the new version.

http://www.redmine.org/wiki/redmine/RedmineUpgrade

=============================================================================
pkg install -y mysql56-server

Message from mysql56-server-5.6.27:
************************************************************************

Remember to run mysql_upgrade the first time you start the MySQL server
after an upgrade from an earlier version.

************************************************************************

Diskussion:Server/Redmine#rake 10 vs rake 11

pkg install -y rubygem-passenger

Message from apache24-2.4.18:
To run apache www server from startup, add apache24_enable="yes"
in your /etc/rc.conf. Extra options can be found in startup script.

Your hostname must be resolvable using at least 1 mechanism in
/etc/nsswitch.conf typically DNS or /etc/hosts or apache might
have issues starting depending on the modules you are using.

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

- apache24 default build changed from static MPM to modular MPM
- more modules are now enabled per default in the port
- icons and error pages moved from WWWDIR to DATADIR

   If build with modular MPM and no MPM is activated in 
   httpd.conf, then mpm_prefork will be activated as default
   MPM in etc/apache24/modules.d to keep compatibility with 
   existing php/perl/python modules!

Please compare the existing httpd.conf with httpd.conf.sample
and merge missing modules/instructions into httpd.conf!

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Message from rubygem-passenger-5.0.26:
#####################################################################

Please edit your Apache configuration file, and add these lines:

   LoadModule passenger_module /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.26/buildout/apache2/mod_passenger.so
   PassengerRoot /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.26
   PassengerRuby /usr/local/bin/ruby22

After you restart Apache, you are ready to deploy any number of Ruby on Rails
applications on Apache, without any further Ruby on Rails-specific
configuration!

#####################################################################
ee /usr/local/etc/apache24/httpd.conf
        LoadModule passenger_module /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.26/buildout/apache2/mod_passenger
        PassengerRoot /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.26                                  
        PassengerRuby /usr/local/bin/ruby22 
service apache24 start
pkg install -y ap24-mod_fastcgi

ee /usr/local/etc/apache24/httpd.conf



service apache24 restart

Einrichtung[Bearbeiten]

Einrichtung von Redmine[Bearbeiten]

cp /usr/local/www/redmine/config/configuration.yml.example /usr/local/www/redmine/config/configuration.yml
Einrichtung des Versands von Mails durch Redmine[Bearbeiten]

eine Methode zum Versand von Mails durch Redmine angegeben

Voraussetzung ist, dass sendmail lokal (in der Instany) funktioniert
getestet und weiter eingerichtet werden kann bei https://141.56.50.15/settings?tab=notifications
$EDITOR /usr/local/www/redmine/config/configuration.yml

production:

  email_delivery:
    delivery_method: :sendmail
Alternativ könnte bestimmt auch der zentralen Postausgangsserver genutzt werden.

production:

#  email_delivery:
#    delivery_method: :smtp
#    smtp_settings:
#      address: smtp.knology.net
#      port: 25
#      domain: cybersprocket.com
Siehe auch
Einrichtung der Programme für Versionsverwaltung von Quellen bei Redmine[Bearbeiten]

Angeben des Pfades für die Befehle von git und svn für die Verwaltung von repositories (aka source control management (kurz SCM))

getestet und weiter eingerichtet werden kann bei https://141.56.50.15/settings?tab=repositories
$EDITOR /usr/local/www/redmine/config/configuration.yml

production:

  scm_subversion_command:       /usr/local/bin/svn
  scm_git_command:              /usr/local/bin/git

Vorbereiten des Benennens einer Datei zum Loggen für die Verwaltung von repositories (aka source control management (kurz SCM))

getestet und weiter eingerichtet werden kann bei https://141.56.50.15/settings?tab=repositories
$EDITOR /usr/local/www/redmine/config/configuration.yml

production:

  # scm_stderr_log_file: /var/log/redmine_scm_stderr.log
Einrichtung der Verwendung von ImageMagick durch Redmine[Bearbeiten]

Angeben des Pfades für den Befehl von convert für die Verwendung von ImageMagick (zur Anpassung von Grafiken)

geprüft werden kann bei https://141.56.50.15/admin/info
$EDITOR /usr/local/www/redmine/config/configuration.yml

production:

  imagemagick_convert_command: /usr/local/bin/convert
Siehe auch
Aktivierung der REST-Schnittstelle[Bearbeiten]

Einzelne Apps - womit Mitglieder versuchen wollten AUS (Redmine) auf dem eigenen Smartphone effektiv zu nutzen - möchte sich (ausschließlich) per REST authentifizieren.

per Oberfläche

  • Administration
    • Konfiguration
      • Authentifizierung
        • REST-Schnittstelle aktivieren angewählt
        • Speichern geklickt

Dinge, die noch möglich sind[Bearbeiten]

echo '/usr/local/www/redmine/log/production.log 644 3 3000 * J' >> /etc/newsyslog.conf

Variablen[Bearbeiten]

Dienst Zweck Wert Festlegung im System Dokumentation
Jail Adresse für IPv4 141.56.50.15 Server/srs1337 (FreeNAS) Intern:Server
MySQL Passwort für root der Datenbank mysql-root-passwort (fiktiv) MySQL-Konsole Ordner Administration Rechentechnik
MySQL Konto für Redmine bei der Datenbank mysql-remine-konto (fiktiv) MySQL-Konsole Ordner Administration Rechentechnik
MySQL Passwort für Redmine bei der Datenbank mysql-remine-passwort (fiktiv) MySQL-Konsole Ordner Administration Rechentechnik
MySQL Datenbank für Redmine bei der Datenbank mysql-remine-datenbank (fiktiv) MySQL-Konsole Ordner Administration Rechentechnik

Aktualisierung[Bearbeiten]

übliches Anhalten der Dienste bei FreeBSD

service apache24 stop
service mysql-server stop

übliches Aktualisieren bei FreeBSD für pkg

pkg update && pkg upgrade -y
Aktualisierung von passenger
service apache24 restart
Performing sanity check on apache24 configuration:
httpd: Syntax error on line 189 of /usr/local/etc/apache24/httpd.conf: Cannot load /usr/local/lib/ruby/gems/version/gems/passenger/buildout/apache2/mod_passenger.so into server: Cannot open "/usr/local/lib/ruby/gems/version/gems/passenger/buildout/apache2/mod_passenger.so"
echo $(ls /usr/local/lib/ruby/gems/2.2/gems/ | grep passenger | tail -n 1)
echo $(ls /usr/local/lib/ruby/gems/ | tail -n 1)
echo $(ls /usr/local/lib/ruby/gems/ | tail -n 2 | head -n 1)
ee /usr/local/etc/apache24/httpd.conf

#     LoadModule passenger_module /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.26/buildout/apache2/mod_passenger.so
#     PassengerRoot /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.26
#     PassengerRuby /usr/local/bin/ruby22
        LoadModule passenger_module /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.28/buildout/apache2/mod_passenger.so
        PassengerRoot /usr/local/lib/ruby/gems/2.2/gems/passenger-5.0.28
        PassengerRuby /usr/local/bin/ruby22

service apache24 restart
Performing sanity check on apache24 configuration:
Syntax OK
apache24 not running? (check /var/run/httpd.pid).
Performing sanity check on apache24 configuration:
Syntax OK
Starting apache24.
ls -l /usr/local/lib/ruby/gems/version
ls -l /usr/local/lib/ruby/gems/version/gems/passenger
ln -s /usr/local/lib/ruby/gems/$(ls /usr/local/lib/ruby/gems/ | tail -n 2 | head -n 1)/ /usr/local/lib/ruby/gems/version
rm /usr/local/lib/ruby/gems/version
ln -s /usr/local/lib/ruby/gems/$(ls /usr/local/lib/ruby/gems/ | tail -n 2 | head -n 1)/ /usr/local/lib/ruby/gems/version
ln -s /usr/local/lib/ruby/gems/version/gems/$(ls /usr/local/lib/ruby/gems/version/gems/ | grep passenger | tail -n 1)/ /usr/local/lib/ruby/gems/version/gems/passenger
rm /usr/local/lib/ruby/gems/version/gems/passenger
ln -s /usr/local/lib/ruby/gems/version/gems/$(ls /usr/local/lib/ruby/gems/version/gems/ | grep passenger | tail -n 1)/ /usr/local/lib/ruby/gems/version/gems/passenger
$EDITOR /usr/local/etc/apache24/httpd.conf

     LoadModule passenger_module /usr/local/lib/ruby/gems/version/gems/passenger/buildout/apache2/mod_passenger.so
     PassengerRoot /usr/local/lib/ruby/gems/version/gems/passenger
     PassengerRuby /usr/local/bin/ruby

service apache24 restart
Performing sanity check on apache24 configuration:
Syntax OK
apache24 not running? (check /var/run/httpd.pid).
Performing sanity check on apache24 configuration:
Syntax OK
Starting apache24.
Aktualisierung der Pakete bei Redmine mit bundle
cd /usr/local/www/redmine ; bundle install ; cd -
cd /usr/local/www/redmine ; bundle exec rake tmp:cache:clear tmp:sessions:clear RAILS_ENV=production ; cd -

Aktualisierung Siehe auch[Bearbeiten]

Fehlerbehebung[Bearbeiten]

Ende vom Log vom Apache (wie in der Datei /usr/local/etc/apache24/httpd.conf definiert) für Redmine anschauen

tail /usr/local/www/redmine/log/redmine.example.com-error.log

Siehe auch[Bearbeiten]